/* A Bison parser, made by GNU Bison 1.875d.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Using locations.  */
#define YYLSP_NEEDED 0






/* Copy the first part of user declarations.  */
#line 27 "lscp.y"


#include "lscpparser.h"
#include "lscpserver.h"
#include "lscpevent.h"

// to save us typing work in the rules action definitions
#define LSCPSERVER ((yyparse_param_t*) yyparse_param)->pServer

// clears input buffer
void restart(yyparse_param_t* pparam, int& yychar);
#define RESTART restart((yyparse_param_t*) YYPARSE_PARAM, yychar)

// we provide our own version of yyerror() so we don't have to link against the yacc library
void yyerror(const char* s);

static char buf[1024]; // input buffer to feed the parser with new characters
static int bytes = 0;  // current number of characters in the input buffer
static int ptr   = 0;  // current position in the input buffer

// external reference to the function which actually reads from the socket
extern int GetLSCPCommand( void *buf, int max_size);

// custom scanner function which reads from the socket
int yylex(YYSTYPE* yylval) {
    // check if we have to read new characters
    if (ptr >= bytes) {
        bytes = GetLSCPCommand(buf, 1023);
        ptr   = 0;
        if (bytes < 0) {
            bytes = 0;
            return 0;
        }
    }
    return (int) buf[ptr++];
}



/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
typedef int YYSTYPE;
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 214 of yacc.c.  */
#line 121 "y.tab.c"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

# ifndef YYFREE
#  define YYFREE free
# endif
# ifndef YYMALLOC
#  define YYMALLOC malloc
# endif

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   define YYSTACK_ALLOC alloca
#  endif
# else
#  if defined (alloca) || defined (_ALLOCA_H)
#   define YYSTACK_ALLOC alloca
#  else
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (defined (YYSTYPE_IS_TRIVIAL) && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short int yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short int) + sizeof (YYSTYPE))			\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined (__GNUC__) && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short int yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  40
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4524

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  227
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  95
/* YYNRULES -- Number of rules. */
#define YYNRULES  427
/* YYNRULES -- Number of states. */
#define YYNSTATES  1181

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   257

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     225,     2,     2,   226,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,   224,    73,     7,     3,    74,    75,    76,     6,
      77,    78,    79,     9,     5,    10,     8,    80,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    81,    82,
      83,     4,    84,    85,    86,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    87,    88,    89,    90,    91,     2,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    92,    93,    94,    95,     2,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,     1,     2
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned short int yyprhs[] =
{
       0,     0,     3,     6,    10,    11,    13,    15,    17,    19,
      22,    25,    28,    31,    35,    39,    43,    47,    51,    55,
      61,    65,    69,    73,    77,    83,    85,    87,    89,    91,
      93,    95,    97,    99,   101,   103,   105,   107,   109,   111,
     113,   115,   121,   129,   139,   141,   147,   155,   165,   167,
     169,   175,   181,   189,   199,   207,   217,   219,   225,   233,
     239,   245,   251,   255,   263,   273,   281,   291,   295,   299,
     305,   309,   315,   319,   323,   327,   331,   335,   341,   349,
     355,   365,   371,   377,   383,   389,   395,   399,   405,   407,
     409,   411,   413,   415,   417,   419,   421,   427,   435,   439,
     441,   443,   445,   447,   449,   451,   453,   455,   457,   459,
     461,   463,   465,   467,   471,   473,   477,   481,   483,   485,
     487,   489,   491,   494,   498,   503,   508,   510,   513,   515,
     517,   519,   521,   523,   525,   527,   529,   531,   533,   535,
     538,   541,   544,   547,   550,   553,   556,   559,   562,   564,
     566,   568,   570,   572,   574,   576,   578,   580,   582,   584,
     586,   588,   590,   592,   594,   596,   598,   600,   602,   604,
     606,   608,   610,   612,   614,   616,   618,   620,   622,   624,
     626,   628,   630,   632,   634,   636,   638,   640,   642,   644,
     646,   648,   650,   652,   654,   656,   658,   660,   662,   664,
     666,   668,   670,   672,   674,   676,   678,   680,   682,   684,
     686,   688,   690,   692,   694,   696,   698,   700,   702,   704,
     706,   708,   710,   712,   714,   716,   718,   720,   722,   724,
     726,   728,   730,   732,   734,   736,   738,   740,   742,   744,
     746,   748,   750,   752,   754,   756,   758,   760,   762,   764,
     766,   768,   770,   772,   774,   776,   778,   780,   782,   784,
     786,   788,   790,   792,   794,   796,   798,   800,   802,   804,
     806,   808,   810,   812,   814,   816,   818,   820,   822,   824,
     826,   828,   830,   832,   834,   836,   838,   840,   842,   844,
     846,   848,   850,   852,   854,   856,   858,   860,   862,   864,
     866,   868,   870,   872,   874,   876,   878,   880,   882,   884,
     886,   888,   890,   892,   894,   896,   898,   900,   902,   904,
     906,   908,   910,   912,   914,   916,   918,   920,   922,   924,
     926,   928,   930,   932,   934,   936,   938,   940,   942,   944,
     946,   948,   950,   952,   954,   956,   958,   960,   962,   964,
     966,   968,   970,   972,   974,   976,   978,   980,   982,   984,
     986,   988,   990,   992,   994,   996,   998,  1000,  1002,  1004,
    1007,  1010,  1014,  1018,  1020,  1022,  1024,  1028,  1032,  1039,
    1047,  1052,  1057,  1061,  1071,  1078,  1082,  1092,  1104,  1111,
    1119,  1137,  1168,  1177,  1182,  1196,  1209,  1221,  1234,  1246,
    1257,  1264,  1294,  1315,  1335,  1365,  1385,  1416,  1437,  1455,
    1484,  1512,  1538,  1557,  1575,  1603,  1621,  1637,  1656,  1672,
    1683,  1690,  1697,  1703,  1714,  1720,  1734,  1739
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const short int yyrhs[] =
{
     228,     0,    -1,   229,   268,    -1,   229,   269,   268,    -1,
      -1,   230,    -1,   231,    -1,     1,    -1,     3,    -1,   230,
       3,    -1,   230,   267,    -1,   230,   263,    -1,   230,   259,
      -1,   270,   267,   283,    -1,   271,   267,   234,    -1,   272,
     267,   236,    -1,   273,   267,   237,    -1,   274,   267,   242,
      -1,   275,   267,   238,    -1,   278,   267,   283,   267,   252,
      -1,   279,   267,   235,    -1,   280,   267,   232,    -1,   281,
     267,   233,    -1,   282,   267,   265,    -1,   318,   267,   283,
     267,   252,    -1,   318,    -1,   321,    -1,   288,    -1,   292,
      -1,   291,    -1,   290,    -1,   289,    -1,   319,    -1,   288,
      -1,   292,    -1,   291,    -1,   290,    -1,   289,    -1,   319,
      -1,   284,    -1,   303,    -1,   309,   267,   287,   267,   259,
      -1,   308,   267,   287,   267,   259,   267,   259,    -1,   308,
     267,   287,   267,   259,   267,   259,   267,   240,    -1,   285,
      -1,   299,   267,   287,   267,   259,    -1,   298,   267,   287,
     267,   259,   267,   259,    -1,   298,   267,   287,   267,   259,
     267,   259,   267,   240,    -1,   296,    -1,   306,    -1,   297,
     267,   287,   267,   263,    -1,   307,   267,   287,   267,   263,
      -1,   310,   267,   287,   267,   263,   267,   263,    -1,   305,
     267,   287,   267,   263,   267,   263,   267,   259,    -1,   301,
     267,   287,   267,   263,   267,   263,    -1,   300,   267,   287,
     267,   263,   267,   263,   267,   259,    -1,   286,    -1,   283,
     267,   287,   267,   252,    -1,   283,   267,   290,   267,   241,
     267,   252,    -1,   283,   267,   291,   267,   252,    -1,   283,
     267,   292,   267,   252,    -1,   294,   267,   287,   267,   254,
      -1,   314,   267,   287,    -1,   295,   267,   263,   267,   259,
       4,   256,    -1,   300,   267,   263,   267,   263,   267,   259,
       4,   256,    -1,   304,   267,   263,   267,   259,     4,   256,
      -1,   305,   267,   263,   267,   263,   267,   259,     4,   256,
      -1,   283,   267,   239,    -1,   320,   267,   258,    -1,   297,
     267,   259,   267,   240,    -1,   297,   267,   259,    -1,   307,
     267,   259,   267,   240,    -1,   307,   267,   259,    -1,   297,
     267,   263,    -1,   307,   267,   263,    -1,   293,   267,   243,
      -1,   294,   267,   244,    -1,   297,   267,   252,   267,   245,
      -1,   301,   267,   252,   267,   246,   267,   246,    -1,   302,
     267,   252,   267,   247,    -1,   313,   267,   252,   267,   245,
     267,   248,   267,   249,    -1,   307,   267,   252,   267,   245,
      -1,   310,   267,   252,   267,   248,    -1,   311,   267,   252,
     267,   249,    -1,   312,   267,   252,   267,   250,    -1,   315,
     267,   252,   267,   251,    -1,   259,     4,   256,    -1,   240,
     267,   259,     4,   256,    -1,   316,    -1,   317,    -1,   296,
      -1,   306,    -1,   286,    -1,   284,    -1,   303,    -1,   285,
      -1,   255,   267,   253,   267,   252,    -1,   277,   267,   255,
     267,   253,   267,   252,    -1,   254,   267,   252,    -1,   263,
      -1,   263,    -1,   259,    -1,   263,    -1,   263,    -1,   276,
      -1,   259,    -1,   260,    -1,   263,    -1,   263,    -1,   263,
      -1,   259,    -1,   266,    -1,   257,    -1,   256,     5,   257,
      -1,   259,    -1,     6,   259,     6,    -1,     7,   259,     7,
      -1,   263,    -1,   260,    -1,   263,    -1,   259,    -1,   264,
      -1,   259,   264,    -1,   261,     8,   261,    -1,     9,   261,
       8,   261,    -1,    10,   261,     8,   261,    -1,   262,    -1,
     261,   262,    -1,    11,    -1,    12,    -1,    13,    -1,    14,
      -1,    15,    -1,    16,    -1,    17,    -1,    18,    -1,    19,
      -1,    20,    -1,   262,    -1,    12,   261,    -1,    13,   261,
      -1,    14,   261,    -1,    15,   261,    -1,    16,   261,    -1,
      17,   261,    -1,    18,   261,    -1,    19,   261,    -1,    20,
     261,    -1,    21,    -1,    22,    -1,    23,    -1,    24,    -1,
      25,    -1,    26,    -1,    27,    -1,    28,    -1,    29,    -1,
      30,    -1,    31,    -1,    32,    -1,    33,    -1,    34,    -1,
      35,    -1,    36,    -1,    37,    -1,    38,    -1,    39,    -1,
      40,    -1,    41,    -1,    42,    -1,    43,    -1,    44,    -1,
      45,    -1,    46,    -1,    47,    -1,    48,    -1,    49,    -1,
      50,    -1,    51,    -1,    52,    -1,    53,    -1,    54,    -1,
      55,    -1,    56,    -1,    57,    -1,    58,    -1,    59,    -1,
      60,    -1,    61,    -1,    62,    -1,    63,    -1,    64,    -1,
      65,    -1,    66,    -1,    67,    -1,    68,    -1,    69,    -1,
      70,    -1,    71,    -1,    72,    -1,    11,    -1,    12,    -1,
      13,    -1,    14,    -1,    15,    -1,    16,    -1,    17,    -1,
      18,    -1,    19,    -1,    20,    -1,    73,    -1,     3,    -1,
      74,    -1,    75,    -1,    76,    -1,    77,    -1,    78,    -1,
      79,    -1,     9,    -1,    10,    -1,     8,    -1,     5,    -1,
      80,    -1,    81,    -1,    82,    -1,    83,    -1,     4,    -1,
      84,    -1,    85,    -1,    86,    -1,    87,    -1,    88,    -1,
      89,    -1,    90,    -1,    91,    -1,    92,    -1,    93,    -1,
      94,    -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,
      99,    -1,   100,    -1,   101,    -1,   102,    -1,   103,    -1,
     104,    -1,   105,    -1,   106,    -1,   107,    -1,   108,    -1,
     109,    -1,   110,    -1,   111,    -1,   112,    -1,   113,    -1,
     114,    -1,   115,    -1,   116,    -1,   117,    -1,   118,    -1,
     119,    -1,   120,    -1,   121,    -1,   122,    -1,   123,    -1,
     124,    -1,   125,    -1,   126,    -1,   127,    -1,   128,    -1,
     129,    -1,   130,    -1,   131,    -1,   132,    -1,   133,    -1,
     134,    -1,   135,    -1,   136,    -1,   137,    -1,   138,    -1,
     139,    -1,   140,    -1,   141,    -1,   142,    -1,   143,    -1,
     144,    -1,   145,    -1,   146,    -1,   147,    -1,   148,    -1,
     149,    -1,   150,    -1,   151,    -1,   152,    -1,   153,    -1,
     154,    -1,   155,    -1,   156,    -1,   157,    -1,   158,    -1,
     159,    -1,   160,    -1,   161,    -1,   162,    -1,   163,    -1,
     164,    -1,   165,    -1,   166,    -1,   167,    -1,   168,    -1,
     169,    -1,   170,    -1,   171,    -1,   172,    -1,   173,    -1,
     174,    -1,   175,    -1,   176,    -1,   177,    -1,   178,    -1,
     179,    -1,   180,    -1,   181,    -1,   182,    -1,   183,    -1,
     184,    -1,   185,    -1,   186,    -1,   187,    -1,   188,    -1,
     189,    -1,   190,    -1,   191,    -1,   192,    -1,   193,    -1,
     194,    -1,   195,    -1,   196,    -1,   197,    -1,   198,    -1,
     199,    -1,   200,    -1,   201,    -1,   202,    -1,   203,    -1,
     204,    -1,   205,    -1,   206,    -1,   207,    -1,   208,    -1,
     209,    -1,   210,    -1,   211,    -1,   212,    -1,   213,    -1,
     214,    -1,   215,    -1,   216,    -1,   217,    -1,   218,    -1,
     219,    -1,   220,    -1,   221,    -1,   222,    -1,   223,    -1,
     267,    -1,   259,    -1,   265,   267,    -1,   265,   259,    -1,
       6,   265,     6,    -1,     7,   265,     7,    -1,   224,    -1,
     225,    -1,   226,    -1,    21,    24,    24,    -1,    27,    25,
      40,    -1,    23,    38,    25,    21,    40,    25,    -1,    24,
      25,    39,    40,    38,    35,    45,    -1,    32,    29,    39,
      40,    -1,    32,    35,    21,    24,    -1,    21,    32,    32,
      -1,    34,    35,    34,    91,    33,    35,    24,    21,    32,
      -1,    38,    25,    33,    35,    42,    25,    -1,    39,    25,
      40,    -1,    39,    41,    22,    39,    23,    38,    29,    22,
      25,    -1,    41,    34,    39,    41,    22,    39,    23,    38,
      29,    22,    25,    -1,    39,    25,    32,    25,    23,    40,
      -1,    23,    28,    21,    34,    34,    25,    32,    -1,    21,
      42,    21,    29,    32,    21,    22,    32,    25,    91,    25,
      34,    27,    29,    34,    25,    39,    -1,    21,    42,    21,
      29,    32,    21,    22,    32,    25,    91,    21,    41,    24,
      29,    35,    91,    35,    41,    40,    36,    41,    40,    91,
      24,    38,    29,    42,    25,    38,    39,    -1,    23,    28,
      21,    34,    34,    25,    32,    39,    -1,    29,    34,    26,
      35,    -1,    23,    28,    21,    34,    34,    25,    32,    91,
      23,    35,    41,    34,    40,    -1,    23,    28,    21,    34,
      34,    25,    32,    91,    29,    34,    26,    35,    -1,    22,
      41,    26,    26,    25,    38,    91,    26,    29,    32,    32,
      -1,    39,    40,    38,    25,    21,    33,    91,    23,    35,
      41,    34,    40,    -1,    42,    35,    29,    23,    25,    91,
      23,    35,    41,    34,    40,    -1,    29,    34,    39,    40,
      38,    41,    33,    25,    34,    40,    -1,    25,    34,    27,
      29,    34,    25,    -1,    21,    41,    24,    29,    35,    91,
      35,    41,    40,    36,    41,    40,    91,    24,    25,    42,
      29,    23,    25,    91,    36,    21,    38,    21,    33,    25,
      40,    25,    38,    -1,    21,    41,    24,    29,    35,    91,
      35,    41,    40,    36,    41,    40,    91,    24,    25,    42,
      29,    23,    25,    39,    -1,    21,    41,    24,    29,    35,
      91,    35,    41,    40,    36,    41,    40,    91,    24,    25,
      42,    29,    23,    25,    -1,    21,    41,    24,    29,    35,
      91,    35,    41,    40,    36,    41,    40,    91,    24,    38,
      29,    42,    25,    38,    91,    36,    21,    38,    21,    33,
      25,    40,    25,    38,    -1,    21,    41,    24,    29,    35,
      91,    35,    41,    40,    36,    41,    40,    91,    24,    38,
      29,    42,    25,    38,    -1,    21,    41,    24,    29,    35,
      91,    35,    41,    40,    36,    41,    40,    91,    23,    28,
      21,    34,    34,    25,    32,    91,    36,    21,    38,    21,
      33,    25,    40,    25,    38,    -1,    21,    41,    24,    29,
      35,    91,    35,    41,    40,    36,    41,    40,    91,    23,
      28,    21,    34,    34,    25,    32,    -1,    21,    41,    24,
      29,    35,    91,    35,    41,    40,    36,    41,    40,    91,
      40,    45,    36,    25,    -1,    21,    42,    21,    29,    32,
      21,    22,    32,    25,    91,    33,    29,    24,    29,    91,
      29,    34,    36,    41,    40,    91,    24,    38,    29,    42,
      25,    38,    39,    -1,    33,    29,    24,    29,    91,    29,
      34,    36,    41,    40,    91,    24,    25,    42,    29,    23,
      25,    91,    36,    21,    38,    21,    33,    25,    40,    25,
      38,    -1,    33,    29,    24,    29,    91,    29,    34,    36,
      41,    40,    91,    36,    35,    38,    40,    91,    36,    21,
      38,    21,    33,    25,    40,    25,    38,    -1,    33,    29,
      24,    29,    91,    29,    34,    36,    41,    40,    91,    24,
      25,    42,    29,    23,    25,    39,    -1,    33,    29,    24,
      29,    91,    29,    34,    36,    41,    40,    91,    24,    25,
      42,    29,    23,    25,    -1,    33,    29,    24,    29,    91,
      29,    34,    36,    41,    40,    91,    24,    38,    29,    42,
      25,    38,    91,    36,    21,    38,    21,    33,    25,    40,
      25,    38,    -1,    33,    29,    24,    29,    91,    29,    34,
      36,    41,    40,    91,    24,    38,    29,    42,    25,    38,
      -1,    33,    29,    24,    29,    91,    29,    34,    36,    41,
      40,    91,    36,    35,    38,    40,    -1,    33,    29,    24,
      29,    91,    29,    34,    36,    41,    40,    91,    23,    28,
      21,    34,    34,    25,    32,    -1,    33,    29,    24,    29,
      91,    29,    34,    36,    41,    40,    91,    40,    45,    36,
      25,    -1,    33,    29,    24,    29,    91,    29,    34,    36,
      41,    40,    -1,    39,    25,    38,    42,    25,    38,    -1,
      42,    35,    32,    41,    33,    25,    -1,    22,    45,    40,
      25,    39,    -1,    36,    25,    38,    23,    25,    34,    40,
      21,    27,    25,    -1,    38,    25,    39,    25,    40,    -1,
      33,    29,    39,    23,    25,    32,    32,    21,    34,    25,
      35,    41,    39,    -1,    25,    23,    28,    35,    -1,    37,
      41,    29,    40,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short int yyrline[] =
{
       0,    90,    90,    91,    94,    95,    96,    97,   100,   101,
     102,   103,   104,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   123,   124,   125,
     126,   127,   128,   131,   132,   133,   134,   135,   136,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   165,   166,   167,   168,   169,   170,   173,
     174,   175,   176,   179,   180,   183,   184,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   198,   199,   202,   203,
     206,   207,   208,   209,   210,   211,   214,   215,   218,   221,
     224,   227,   230,   233,   234,   237,   240,   241,   244,   247,
     250,   253,   256,   257,   260,   261,   262,   263,   264,   272,
     273,   276,   277,   280,   281,   282,   286,   287,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   313,   313,
     313,   313,   313,   313,   313,   313,   313,   313,   313,   313,
     313,   313,   313,   313,   313,   313,   313,   313,   313,   313,
     313,   313,   313,   313,   314,   314,   314,   314,   314,   314,
     314,   314,   314,   314,   314,   314,   314,   314,   314,   314,
     314,   314,   314,   314,   314,   314,   314,   314,   314,   314,
     315,   315,   315,   315,   315,   315,   315,   315,   315,   315,
     316,   316,   316,   316,   316,   316,   316,   316,   316,   316,
     316,   316,   316,   317,   317,   317,   317,   317,   317,   317,
     318,   318,   318,   318,   318,   319,   319,   319,   319,   320,
     320,   320,   321,   321,   321,   322,   322,   322,   323,   323,
     323,   324,   324,   324,   325,   325,   325,   326,   326,   326,
     327,   327,   327,   328,   328,   328,   329,   329,   329,   330,
     330,   330,   331,   331,   331,   332,   332,   332,   333,   333,
     333,   334,   334,   334,   335,   335,   335,   336,   336,   336,
     337,   337,   337,   338,   338,   338,   339,   339,   339,   340,
     340,   340,   341,   341,   341,   342,   342,   342,   343,   343,
     343,   344,   344,   344,   345,   345,   345,   346,   346,   346,
     347,   347,   347,   348,   348,   348,   349,   349,   349,   350,
     350,   350,   351,   351,   351,   352,   352,   352,   353,   353,
     353,   354,   354,   354,   355,   355,   355,   356,   356,   356,
     357,   357,   357,   358,   358,   358,   359,   359,   359,   360,
     360,   360,   361,   361,   361,   362,   362,   365,   366,   367,
     368,   371,   372,   378,   381,   384,   387,   390,   393,   396,
     399,   402,   405,   408,   411,   414,   417,   420,   423,   426,
     429,   432,   435,   438,   441,   444,   447,   450,   453,   456,
     459,   462,   465,   468,   471,   474,   477,   480,   483,   486,
     489,   492,   495,   498,   501,   504,   507,   510,   513,   516,
     519,   522,   525,   528,   531,   534,   537,   540
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "'#'", "'='", "','", "'''", "'\"'",
  "'.'", "'+'", "'-'", "'0'", "'1'", "'2'", "'3'", "'4'", "'5'", "'6'",
  "'7'", "'8'", "'9'", "'A'", "'B'", "'C'", "'D'", "'E'", "'F'", "'G'",
  "'H'", "'I'", "'J'", "'K'", "'L'", "'M'", "'N'", "'O'", "'P'", "'Q'",
  "'R'", "'S'", "'T'", "'U'", "'V'", "'W'", "'X'", "'Y'", "'Z'", "'a'",
  "'b'", "'c'", "'d'", "'e'", "'f'", "'g'", "'h'", "'i'", "'j'", "'k'",
  "'l'", "'m'", "'n'", "'o'", "'p'", "'q'", "'r'", "'s'", "'t'", "'u'",
  "'v'", "'w'", "'x'", "'y'", "'z'", "'!'", "'$'", "'%'", "'&'", "'('",
  "')'", "'*'", "'/'", "':'", "';'", "'<'", "'>'", "'?'", "'@'", "'['",
  "'\\\\'", "']'", "'^'", "'_'", "'{'", "'|'", "'}'", "'~'", "'\\200'",
  "'\\201'", "'\\202'", "'\\203'", "'\\204'", "'\\205'", "'\\206'",
  "'\\207'", "'\\210'", "'\\211'", "'\\212'", "'\\213'", "'\\214'",
  "'\\215'", "'\\216'", "'\\217'", "'\\220'", "'\\221'", "'\\222'",
  "'\\223'", "'\\224'", "'\\225'", "'\\226'", "'\\227'", "'\\230'",
  "'\\231'", "'\\232'", "'\\233'", "'\\234'", "'\\235'", "'\\236'",
  "'\\237'", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "''", "''", "''",
  "''", "''", "''", "''", "''", "''", "''", "' '", "'\\n'", "'\\r'",
  "$accept", "input", "line", "comment", "command", "subscribe_event",
  "unsubscribe_event", "get_instruction", "set_instruction",
  "create_instruction", "destroy_instruction", "load_instruction",
  "set_chan_instruction", "key_val_list", "buffer_size_type",
  "list_instruction", "load_instr_args", "load_engine_args",
  "device_index", "audio_channel_index", "audio_output_type_name",
  "midi_input_port_index", "midi_input_channel_index",
  "midi_input_type_name", "volume_value", "sampler_channel",
  "instrument_index", "engine_name", "filename", "param_val_list",
  "param_val", "boolean", "string", "dotnum", "digits", "digit", "number",
  "char", "text", "stringval", "SP", "LF", "CR", "ADD", "GET", "CREATE",
  "DESTROY", "LIST", "LOAD", "ALL", "NON_MODAL", "REMOVE", "SET",
  "SUBSCRIBE", "UNSUBSCRIBE", "SELECT", "CHANNEL", "AVAILABLE_ENGINES",
  "AVAILABLE_AUDIO_OUTPUT_DRIVERS", "CHANNELS", "INFO", "CHANNEL_COUNT",
  "CHANNEL_INFO", "BUFFER_FILL", "STREAM_COUNT", "VOICE_COUNT",
  "INSTRUMENT", "ENGINE", "AUDIO_OUTPUT_DEVICE_PARAMETER",
  "AUDIO_OUTPUT_DEVICES", "AUDIO_OUTPUT_DEVICE",
  "AUDIO_OUTPUT_DRIVER_PARAMETER", "AUDIO_OUTPUT_DRIVER",
  "AUDIO_OUTPUT_CHANNEL_PARAMETER", "AUDIO_OUTPUT_CHANNEL",
  "AUDIO_OUTPUT_TYPE", "AVAILABLE_MIDI_INPUT_DRIVERS",
  "MIDI_INPUT_DEVICE_PARAMETER", "MIDI_INPUT_PORT_PARAMETER",
  "MIDI_INPUT_DEVICES", "MIDI_INPUT_DEVICE", "MIDI_INPUT_DRIVER_PARAMETER",
  "MIDI_INPUT_DRIVER", "MIDI_INPUT_PORT", "MIDI_INPUT_CHANNEL",
  "MIDI_INPUT_TYPE", "MIDI_INPUT", "SERVER", "VOLUME", "BYTES",
  "PERCENTAGE", "RESET", "MISCELLANEOUS", "ECHO", "QUIT", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short int yytoknum[] =
{
       0,   256,   257,    35,    61,    44,    39,    34,    46,    43,
      45,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    33,    36,    37,    38,    40,    41,    42,
      47,    58,    59,    60,    62,    63,    64,    91,    92,    93,
      94,    95,   123,   124,   125,   126,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    32,    10,    13
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned short int yyr1[] =
{
       0,   227,   228,   228,   229,   229,   229,   229,   230,   230,
     230,   230,   230,   231,   231,   231,   231,   231,   231,   231,
     231,   231,   231,   231,   231,   231,   231,   232,   232,   232,
     232,   232,   232,   233,   233,   233,   233,   233,   233,   234,
     234,   234,   234,   234,   234,   234,   234,   234,   234,   234,
     234,   234,   234,   234,   234,   234,   234,   234,   234,   234,
     234,   234,   234,   235,   235,   235,   235,   235,   235,   236,
     236,   236,   236,   237,   237,   238,   238,   239,   239,   239,
     239,   239,   239,   239,   239,   239,   240,   240,   241,   241,
     242,   242,   242,   242,   242,   242,   243,   243,   244,   245,
     246,   247,   248,   249,   249,   250,   251,   251,   252,   253,
     254,   255,   256,   256,   257,   257,   257,   257,   257,   258,
     258,   259,   259,   260,   260,   260,   261,   261,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   263,   263,
     263,   263,   263,   263,   263,   263,   263,   263,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   265,   265,   265,
     265,   266,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     2,     3,     0,     1,     1,     1,     1,     2,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     5,
       3,     3,     3,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     7,     9,     1,     5,     7,     9,     1,     1,
       5,     5,     7,     9,     7,     9,     1,     5,     7,     5,
       5,     5,     3,     7,     9,     7,     9,     3,     3,     5,
       3,     5,     3,     3,     3,     3,     3,     5,     7,     5,
       9,     5,     5,     5,     5,     5,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     7,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     2,     3,     4,     4,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     3,     3,     1,     1,     1,     3,     3,     6,     7,
       4,     4,     3,     9,     6,     3,     9,    11,     6,     7,
      17,    30,     8,     4,    13,    12,    11,    12,    11,    10,
       6,    29,    20,    19,    29,    19,    30,    20,    17,    28,
      27,    25,    18,    17,    27,    17,    15,    18,    15,    10,
       6,     6,     5,    10,     5,    13,     4,     4
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned short int yydefact[] =
{
       0,     7,     8,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     6,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    25,    26,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       1,   374,   375,     2,     0,     9,   226,   221,   220,   218,
     219,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   210,   212,   213,   214,   215,   216,   217,
     222,   223,   224,   225,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   373,    12,   138,    11,   121,    10,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   376,     0,     0,   377,     0,     0,     0,     0,
       0,     0,   385,     0,     0,     3,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   139,   126,   140,   141,
     142,   143,   144,   145,   146,   147,   211,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   122,     0,    13,
       0,     0,     0,     0,     0,    14,     0,    39,    44,    56,
       0,    48,     0,     0,     0,     0,     0,    40,     0,    49,
       0,     0,     0,     0,     0,     0,     0,    15,     0,     0,
      16,     0,     0,     0,     0,     0,    17,    93,    95,    92,
      90,    94,    91,     0,    18,     0,     0,     0,     0,     0,
       0,    20,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    21,    27,    31,    30,    29,    28,    32,
      22,    33,    37,    36,    35,    34,    38,   368,    23,   367,
       0,     0,     0,   380,   381,   427,     0,     0,     0,     0,
       0,   127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   370,
     369,     0,     0,     0,     0,   424,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    62,     0,     0,    70,    72,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    73,    74,     0,     0,
       0,     0,     0,     0,     0,    75,     0,   111,     0,    76,
       0,   110,    19,   108,     0,     0,     0,     0,     0,     0,
      67,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    68,   120,   119,     0,     0,     0,
       0,     0,    24,   378,     0,   384,   388,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     379,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,    88,    89,    59,    60,    61,
      50,     0,    45,     0,     0,     0,    51,     0,    41,     0,
       0,     0,    69,     0,    71,     0,     0,     0,     0,   371,
     372,     0,     0,   109,     0,    98,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   400,     0,   420,   393,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   386,     0,   389,     0,     0,   389,     0,     0,
       0,    58,    46,     0,    54,     0,    42,    52,     0,     0,
       0,     0,     0,   218,   219,    86,   112,   114,   118,     0,
     126,   117,     0,     0,     0,     0,     0,    96,     0,     0,
       0,     0,     0,     0,    77,    99,     0,   100,    79,   101,
      81,    82,   102,     0,    83,   103,   104,    84,   105,     0,
       0,     0,    85,   106,   107,    63,     0,    65,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   392,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   387,     0,     0,     0,   422,     0,
      47,    55,    53,    43,     0,     0,    87,   115,   116,     0,
       0,   113,   123,     0,     0,     0,     0,    97,     0,     0,
       0,     0,    78,   382,     0,    64,    66,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   124,
     125,     0,     0,   399,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   383,     0,     0,     0,
       0,    80,   396,     0,     0,     0,     0,   398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,     0,   395,     0,   397,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   394,   425,     0,     0,     0,
       0,     0,     0,     0,     0,   423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   416,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   390,     0,   413,   415,     0,     0,
     413,     0,     0,     0,     0,     0,     0,     0,     0,   416,
     418,     0,     0,     0,     0,     0,   412,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   403,   405,
       0,     0,     0,     0,   403,     0,     0,     0,     0,     0,
     408,     0,   407,   402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   407,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   414,     0,   410,
       0,     0,     0,   409,     0,     0,   404,     0,   401,   406,
     391
};

/* YYDEFGOTO[NTERM-NUM]. */
static const short int yydefgoto[] =
{
      -1,    12,    13,    14,    15,   393,   400,   335,   381,   357,
     360,   374,   540,   662,   644,   366,   525,   529,   794,   796,
     798,   801,   804,   807,   812,   532,   672,   530,   526,   775,
     776,   554,   777,   778,   779,   266,   533,   268,   408,   527,
     720,    43,    44,    16,    17,    18,    19,    20,    21,   806,
     528,    22,    23,    24,    25,    26,   329,   337,   338,   339,
     487,   394,   395,   396,   397,   398,   375,   340,   383,   341,
     342,   343,   344,   345,   346,   543,   347,   385,   348,   349,
     350,   351,   352,   353,   546,   547,   548,   354,   549,   645,
     646,    27,   399,   387,    28
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -720
static const short int yypact[] =
{
      51,  -720,  -720,    10,    20,    36,    55,     1,    89,   112,
      61,   131,   142,  -193,  1647,  -720,   -55,   -55,   -55,   -55,
     -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,  -720,   146,
     159,   152,   153,   157,   171,   170,    23,    -3,   181,   192,
    -720,  -720,  -720,  -720,     7,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,   295,   295,   295,   295,   295,   295,   295,   295,
     295,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  2754,  -720,  -720,  -720,  -720,
     210,    74,    73,    73,   165,     6,   210,   164,    54,    54,
    1869,   210,  -720,   213,   195,  -720,   199,   216,   201,   208,
     219,   220,  -720,   207,   206,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,   295,  -720,   295,   295,
     295,   295,   295,   295,   295,   295,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,   221,  -720,
      91,   222,   214,   223,   228,  -720,   -55,  -720,  -720,  -720,
     -55,  -720,   -55,   -55,   -55,   -55,   -55,  -720,   -55,  -720,
     -55,   -55,   -55,   -55,   -55,   215,   226,  -720,   -55,   -55,
    -720,   -55,   -55,    93,   229,   230,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,   227,  -720,   -55,   -55,   -55,   224,   237,
     233,  -720,   -55,   -55,   -55,   -55,   -55,   -55,   225,   235,
     239,   231,   234,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  2754,  1869,  -720,
     -55,   232,   236,  -720,  -720,  -720,   247,   250,   241,   252,
     248,  -720,   270,   249,   271,   272,   268,   273,   256,    62,
     287,   287,   287,   287,   287,   287,   287,   287,   287,   287,
     287,   287,   293,   294,  2754,  2754,   339,   339,   296,   298,
     297,   283,    21,  2754,   339,   300,   306,   301,    18,   339,
     339,   339,   339,  2975,   310,   305,   303,   309,   315,  2754,
    -720,   339,   318,   325,   336,  -720,   326,   327,   328,   334,
     346,   347,   343,   349,   351,   340,   350,   -55,   -55,   -55,
     -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,
     -55,   -55,  -720,   352,   354,  1869,  1869,   295,   295,   295,
     295,   295,   295,   295,   295,   295,  -720,  -720,   356,   353,
     357,   348,  1869,  1869,   355,  -720,   -55,  -720,   -55,  -720,
     -55,  2754,  -720,  -720,   360,   358,   362,   359,   363,   361,
    -720,   -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,
     -55,   -55,   -55,   -55,  -720,  2754,  -720,   368,   364,   376,
     377,   378,  -720,  -720,   365,  -720,  -720,   374,   381,   371,
     372,   379,   375,   380,   317,   387,   389,   339,    37,   339,
     339,  2754,   339,  2754,  2754,   339,   339,   339,   339,  2754,
    2754,   339,   382,   322,  2754,  2754,   383,   385,   329,   384,
    1203,  1425,   390,   339,   108,   339,   386,  -720,   332,   392,
     401,   394,   339,   339,   339,   339,   339,   339,   339,   339,
     339,  2754,   339,  2754,   339,   402,   395,   403,   409,   406,
    -720,   412,   397,   411,   366,   416,   413,   414,   415,   404,
     405,  -720,   396,   418,   -55,  -720,  -720,  -720,  -720,  -720,
    -720,  1869,  2754,   -55,   -55,   -55,  -720,  1869,  2754,   -55,
     367,   421,   -55,  3196,   -55,   369,   426,   423,   420,  -720,
    -720,   373,   -55,  -720,   -55,  -720,   398,   424,   425,   427,
     422,   -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,   -55,
    3417,   -55,  3638,   -55,   417,   434,   430,   432,   399,   441,
     438,   436,   435,   447,   439,  -720,   457,  -720,  -720,   433,
     456,   339,  2754,   339,   339,   339,  2754,   339,   437,   461,
    2754,  2091,   471,   464,   473,   475,   478,   339,   339,   477,
     480,   481,   450,   494,   339,   339,  2754,   339,   339,   267,
    2754,   339,   198,  2091,  2754,  2091,  2754,   451,   511,   512,
     454,   523,  -720,   525,  -720,   507,   517,   513,   370,   526,
     527,  -720,  1869,   -55,  -720,   -55,  1869,  -720,   514,   518,
    3859,  2754,  2754,   295,   295,   548,  -720,  2754,  -720,   109,
      12,  -720,   515,   513,   521,   533,   524,  -720,   -55,   519,
     528,   470,   534,   537,  -720,  -720,   -55,  -720,  -720,  2754,
    -720,  -720,  -720,   535,  -720,  -720,  -720,  -720,  2754,   -55,
     295,   295,  -720,  -720,  -720,   548,  4080,   548,  4301,   539,
     479,   545,   546,   540,   551,   538,   554,  -720,   541,   542,
     555,  2754,  2754,  2754,  2754,   543,   544,  2091,  2312,  2533,
     144,   163,  2091,   295,   550,   552,   557,   560,   339,   556,
     558,   562,   561,  -720,   339,   568,   339,  2091,  2091,   563,
      56,   567,   569,   564,  -720,   566,   495,   571,  -720,   572,
     -55,  2754,  2754,   -55,   573,   574,   548,  -720,  -720,   295,
     295,  -720,   295,   576,   575,   577,   582,  -720,   580,   578,
     579,   583,  -720,  -720,   -55,   548,   548,   581,   586,   588,
     598,   584,   590,   585,   169,   516,   587,   589,   559,   295,
     295,   591,   565,  -720,   596,   592,   593,   594,   595,   267,
     597,   602,   609,   604,   603,   605,   607,   608,   614,   622,
      76,   631,   613,   630,   615,   633,  -720,   618,    95,   624,
     623,  -720,  -720,   628,   629,   625,   627,  -720,   599,   641,
     650,   655,     0,   646,   656,   600,   657,   601,   660,   606,
     661,   652,   647,   611,   649,  -720,   654,  -720,   117,   665,
     666,   667,   662,   669,   668,   680,   684,   670,   685,   671,
     130,   673,   672,   676,    17,  -720,  -720,   689,    78,   683,
     692,   639,   690,   694,   697,  -720,   709,   710,   713,   712,
     714,   718,   715,   705,   663,   719,   711,   703,   730,   720,
     726,   674,   731,   728,   737,   736,   675,   729,   745,   732,
     747,   751,   734,   750,   675,    58,   757,   741,   744,   748,
     752,   746,   754,   753,   756,   761,   749,   755,   764,   769,
     766,   772,   765,   774,   773,   776,   760,   775,   767,   781,
     777,   785,   787,   778,  -720,   779,   771,   722,   793,   794,
    -720,   795,   771,   782,   797,   733,   804,   790,   800,  -720,
    -720,   810,   816,   791,   805,   808,  -720,   814,   813,   821,
     827,   828,   830,   820,   823,   833,   834,   829,   824,   780,
     826,   825,   839,   845,  -720,   824,   835,   783,   847,   841,
    -720,   844,   786,  -720,   837,   838,   789,   840,   849,   786,
     848,   851,   858,  -720,   850,   864,   852,   863,   872,   869,
     875,   880,   870,   885,   873,   819,   874,   883,   867,   879,
     886,  -720,   882,   892,   894,   893,   896,   898,   903,   900,
     905,   895,   889,   887,   890,   901,   899,   891,   907,   908,
     909,   911,   916,  -720,   917,   918,   919,   906,   910,   912,
     913,   914,   915,   920,   922,   923,   924,  -720,   930,  -720,
     931,   921,   926,  -720,   927,   928,  -720,   929,  -720,  -720,
    -720
};

/* YYPGOTO[NTERM-NUM].  */
static const short int yypgoto[] =
{
    -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -580,  -720,  -720,  -720,  -720,  -632,    80,
    -720,   101,    26,  -720,  -720,  -469,   242,   388,   345,  -719,
     116,  -720,   314,   238,    11,   -10,   -14,   333,  -355,  -720,
     -13,   932,  -720,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,  -720,  -720,  -720,  -720,   -76,   687,   688,   693,
    -211,   695,   696,  -263,  -257,  -256,  -720,   698,  -720,   704,
    -254,  -720,  -720,   700,   529,  -720,   707,  -720,   702,   708,
    -252,  -720,  -720,   530,  -720,  -720,  -720,  -720,  -720,  -720,
    -720,  -720,   716,  -720,  -720
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -139
static const short int yytable[] =
{
     267,   269,   562,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   664,   403,  -138,   358,   361,
     359,   362,   404,   405,   815,   972,   817,   522,   523,   291,
      33,   332,    41,    42,    29,   373,    34,   292,   973,   537,
    1005,   956,   307,   307,   307,   307,   307,   307,   307,   307,
     307,   538,     1,  1006,     2,   524,   289,  1007,    30,   642,
     539,    31,   290,   306,   308,   309,   310,   311,   312,   313,
     314,   315,     3,   643,     4,     5,   388,   389,     6,   898,
      32,  1045,   996,     7,   388,   899,    37,   390,     8,     9,
      10,   486,    11,   391,   355,   330,   392,   331,  1046,   332,
     952,   391,    38,  1009,   392,   800,   356,   333,   641,   809,
     647,   648,   953,   334,   522,   523,  1010,   843,   876,   960,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      35,   961,   423,   424,   448,   424,   675,    36,   895,   896,
     987,   988,    40,   681,   682,   683,   684,   685,   686,   687,
     688,   689,   879,  1000,  1001,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    39,   488,   600,   601,   264,
     282,   880,   489,   490,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   283,   378,   363,   328,   364,   379,
     927,   284,   287,   285,   928,   336,   286,   380,   365,   288,
     377,   382,   929,   293,   541,   410,   544,   810,   811,   296,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   294,    41,   328,   411,   412,  -138,  -138,  -138,   413,
     414,   415,   761,   416,   417,   418,   419,   420,   426,   422,
     425,   870,   427,   428,   873,   443,   442,   449,   787,   450,
     456,   451,   457,   465,   476,   455,   464,   409,   466,   468,
     478,   467,   472,   480,   473,   477,    -4,    -4,   296,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   803,   474,
     475,   479,   481,   482,   485,   483,   421,   484,   421,   421,
     421,   421,   421,   421,   421,   421,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   486,   503,   504,   519,
     518,   520,   521,   429,   534,   536,   558,   430,   265,   431,
     432,   433,   434,   435,   535,   436,   557,   437,   438,   439,
     440,   441,   559,   563,   561,   444,   445,   560,   446,   447,
     296,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     564,   565,   452,   453,   454,   567,   566,   568,   569,   458,
     459,   460,   461,   462,   463,   570,   571,   572,   573,   887,
     574,   592,   575,   593,   576,   596,   598,   597,   599,   606,
     602,   608,   610,   607,   625,   470,   611,   471,   626,   627,
     609,   629,   628,   631,   632,   633,   828,   634,   638,   636,
     630,   635,   639,   661,   637,   640,   678,   660,   665,   666,
     667,   676,   668,   677,   671,   679,   680,   694,   696,   695,
     697,   698,   516,   517,   699,   700,   701,   703,   704,   705,
     708,   709,   707,   710,   706,   550,   551,   552,   553,   556,
     719,   723,   724,   730,   731,   747,   732,   702,   718,   748,
     722,   725,   749,   733,   726,   750,   752,   753,   754,   756,
     755,   757,   768,   759,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   729,
     751,   758,   594,   595,   760,   769,   783,   307,   307,   307,
     307,   307,   307,   307,   307,   307,   782,   784,   785,   409,
     409,   786,   789,   603,   790,   604,   791,   605,   306,   308,
     309,   310,   311,   312,   313,   314,   315,   793,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   792,   819,   820,   821,   822,   823,   824,   825,   826,
     830,   829,   827,   842,   836,   835,   844,   845,   846,   847,
     849,   851,   853,   852,   850,   859,   861,   855,   650,   862,
     860,   653,   654,   655,   656,   863,   864,   659,   865,   866,
     869,   868,   867,   874,   886,   875,   904,   470,   470,   673,
     883,   885,   897,   884,   407,   891,   888,   890,   327,   889,
     893,   900,   903,   914,   901,   902,   906,   930,   691,   907,
     693,   905,   911,   920,   908,   912,   915,   913,   916,   918,
     917,   921,   922,   923,   925,   924,   926,   931,   936,   942,
     932,   711,   934,   937,   939,   944,   940,   946,   712,   945,
     713,   714,   715,   943,   716,   947,   717,   948,   950,   949,
     933,   951,   954,   955,   956,   957,   935,   958,   959,   727,
     962,   728,   964,   963,   965,   969,   966,   967,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   970,   744,   971,
     746,   974,   977,   975,   938,   979,   981,   982,   983,   985,
     968,   976,   978,   986,   989,   990,   991,   980,   993,   763,
     764,   765,   984,   767,   992,   995,   994,   781,   996,   998,
    1003,   780,   997,   999,   673,  1002,  1004,  1008,  1011,  1014,
     795,   797,   469,   795,   802,   805,  1012,   795,   814,   781,
    1013,   781,   780,   780,  1017,   780,  1015,  1016,  1019,  1018,
     327,  1020,  1021,  1022,  1023,  1024,  1027,  1026,  1028,   831,
     832,  1029,   833,   834,  1025,  1031,  1033,  1034,   505,   506,
    1035,  1036,  1030,   307,   307,  1032,  1037,   531,  1039,   421,
    1041,  1038,  1042,  1044,  1040,   848,  1043,   555,  1047,  1048,
    1049,  1051,  1050,   854,   840,   841,  1056,  1057,  1052,  1053,
    1055,  1058,  1054,  1059,  1060,  1061,   856,  1062,  1065,  1063,
     307,   307,   327,  1064,  1066,  1067,  1070,  1069,  1072,  1068,
    1076,  1071,  1073,  1077,  1078,  1075,  1081,  1079,  1080,  1074,
    1082,   840,   841,   781,  1083,  1084,  1085,   780,   781,  1089,
     421,   421,   780,   307,  1086,  1087,   407,   407,   327,   327,
     797,  1088,   802,   781,   781,  1090,  1094,   780,   780,  1091,
    1092,  1093,  1095,  1096,   882,  1097,  1098,  1099,  1100,  1101,
    1107,  1102,  1105,  1103,   327,  1106,  1108,  1109,  1111,   307,
     307,  1104,   421,  1115,  1110,  1112,  1113,  1114,  1118,  1116,
    1117,   919,  1119,  1122,  1120,  1124,  1123,  1126,   327,  1121,
     909,   910,  1125,  1127,  1128,   531,  1129,   651,   652,   421,
     421,  1130,  1131,   657,   658,   805,  1132,  1137,   663,   663,
    1134,  1133,  1135,  1141,   469,   469,  1136,  1138,  1142,  1139,
    1140,  1144,  1143,  1145,  1146,  1147,  1148,  1150,  1149,  1151,
    1152,  1155,  1154,  1157,   892,   690,  1159,   692,  1158,  1153,
    1156,  1160,  1161,  1162,  1163,   941,  1164,  1171,  1172,   674,
    1166,  1167,  1165,  1169,  1168,  1174,  1175,   894,   881,  1176,
    1170,   367,   368,  1173,  1177,  1178,  1179,   369,  1180,   649,
     788,     0,     0,   376,   401,   402,   295,   384,   370,   386,
     813,   371,   372,     0,   327,   327,     0,   542,   545,     0,
     327,   327,     0,     0,     0,   406,   327,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   327,     0,   327,   762,     0,     0,     0,
     766,     0,     0,     0,   770,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     799,     0,     0,     0,   808,     0,     0,     0,   816,     0,
     818,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   838,   839,     0,     0,     0,
       0,     0,     0,     0,     0,   327,     0,     0,     0,   327,
       0,     0,     0,   327,     0,     0,     0,     0,     0,     0,
     327,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   327,     0,     0,     0,     0,     0,     0,     0,
       0,   327,     0,     0,     0,   663,   871,   872,   663,   327,
       0,   327,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   327,   327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   327,   327,   316,    46,    47,   669,
       0,    48,    49,    50,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   316,    46,
      47,     0,   670,    48,    49,    50,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      45,    46,    47,     0,     0,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   316,    46,    47,     0,     0,    48,    49,    50,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   316,    46,    47,   771,   772,    48,
     773,   774,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   316,    46,    47,   877,     0,
      48,    49,    50,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   316,    46,    47,     0,
     878,    48,    49,    50,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   316,    46,    47,
       0,     0,    48,    49,    50,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   316,    46,
      47,     0,     0,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   316,
     721,    47,     0,     0,    48,    49,    50,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     316,   743,    47,     0,     0,    48,    49,    50,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   316,   745,    47,     0,     0,    48,    49,    50,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   316,   837,    47,     0,     0,    48,    49,    50,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   316,   857,    47,     0,     0,    48,    49,
      50,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   316,   858,    47,     0,     0,    48,
      49,    50,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263
};

static const short int yycheck[] =
{
      14,    14,   471,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,   595,   279,     5,   272,   273,
     272,   273,   279,   279,   743,    25,   745,     6,     7,    32,
      29,    25,   225,   226,    24,    29,    35,    40,    38,    21,
      23,    24,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    33,     1,    36,     3,    34,    33,    40,    38,    22,
      42,    25,    39,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    21,    36,    23,    24,    22,    23,    27,    23,
      25,    23,    24,    32,    22,    29,    25,    33,    37,    38,
      39,    29,    41,    39,    21,    21,    42,    23,    40,    25,
      24,    39,    41,    25,    42,   737,    33,    33,   577,   741,
     579,   580,    36,    39,     6,     7,    38,     8,   837,    24,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      41,    36,    41,    42,    41,    42,   605,    25,   857,   858,
      23,    24,     0,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     8,    23,    24,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    34,   429,   522,   523,   224,
      24,     8,   429,   429,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    25,    21,    21,    23,    23,    25,
      21,    39,    21,    40,    25,   271,    39,    33,    33,    29,
     276,   277,    33,    22,   458,   281,   458,     9,    10,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,    39,   225,    23,    21,    40,   224,   225,   226,    40,
      24,    40,   711,    35,    25,    25,    39,    41,    34,    28,
      28,   831,    29,    25,   834,    29,    41,    28,   727,    29,
      23,    34,    29,    28,    23,    41,    41,   280,    29,    35,
      22,    40,    40,    24,    38,    23,   225,   226,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    42,
      40,    21,    21,    21,    38,    27,   306,    24,   308,   309,
     310,   311,   312,   313,   314,   315,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    29,    24,    24,    21,
      24,    24,    39,   336,    24,    24,    21,   340,    14,   342,
     343,   344,   345,   346,    28,   348,    26,   350,   351,   352,
     353,   354,    39,    25,    29,   358,   359,    38,   361,   362,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      35,    25,   375,   376,   377,    38,    40,    39,    34,   382,
     383,   384,   385,   386,   387,    29,    29,    34,    29,   848,
      29,    29,    42,    29,    34,    29,    29,    34,    40,    29,
      35,    29,    29,    35,    26,   408,    35,   410,    34,    23,
      41,    23,    25,    29,    23,    34,    36,    35,    91,    34,
      45,    32,    25,    91,    34,    26,    24,    35,    35,    34,
      91,    35,    38,    91,    34,    24,    32,    25,    25,    34,
      21,    25,   446,   447,    22,    38,    25,    21,    25,    25,
      35,    45,    38,    25,    29,   459,   460,   461,   462,   463,
      29,    25,    29,    29,    29,    38,    29,    91,    91,    25,
      91,    41,    32,    41,    91,    33,    25,    29,    32,    22,
      35,    32,    35,    40,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,    91,
      91,    34,   505,   506,    38,    34,    32,   507,   508,   509,
     510,   511,   512,   513,   514,   515,    35,    34,    33,   522,
     523,    33,    35,   526,    34,   528,    35,   530,   507,   508,
     509,   510,   511,   512,   513,   514,   515,    33,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,    91,    91,    32,    32,    91,    23,    22,    41,    32,
      23,    25,    39,     5,    36,    41,    41,    36,    25,    35,
      41,    91,    25,    29,    36,    26,    21,    32,   582,    23,
      91,   585,   586,   587,   588,    35,    25,   591,    40,    25,
      25,    39,    41,    40,    24,    41,    91,   600,   601,   603,
      40,    34,    29,    41,   280,    34,    40,    35,   265,    41,
      32,    34,    36,    21,    35,    41,    34,    91,   622,    36,
     624,    40,    36,    32,    40,    40,    36,    40,    40,    36,
      41,    35,    34,    25,    34,    41,    41,    40,    32,    32,
      41,   644,    41,    41,    40,    26,    41,    34,   651,    35,
     653,   654,   655,    41,   657,    40,   659,    40,    34,    41,
      91,    29,    21,    40,    24,    40,    91,    24,    40,   672,
      36,   674,    34,    40,    35,    24,    41,    40,   681,   682,
     683,   684,   685,   686,   687,   688,   689,    27,   691,    24,
     693,    35,    25,    27,    91,    25,    25,    35,    41,    40,
      91,    91,    91,    39,    29,    29,    29,    91,    29,   713,
     714,   715,    91,   717,    42,    25,    38,   721,    24,    24,
      38,   721,    42,    42,   728,    42,    40,    28,    35,    29,
     734,   735,   408,   737,   738,   739,    34,   741,   742,   743,
      91,   745,   742,   743,    25,   745,    42,    40,    25,    29,
     407,    29,    28,    25,    29,    40,    35,    28,    45,   762,
     763,    21,   765,   766,    91,    29,    25,    29,   444,   445,
      23,    25,    42,   773,   774,    91,    91,   453,    23,   779,
      23,    42,    21,    23,    42,   788,    42,   463,    21,    38,
      36,    29,    34,   796,   773,   774,    25,    38,    42,    35,
      34,    36,    39,    29,    25,    29,   809,    25,    25,    34,
     810,   811,   469,    29,    28,    45,    25,    40,    23,    34,
      39,    34,    25,    91,    21,    36,    34,    23,    23,    41,
      23,   810,   811,   837,    91,    21,    36,   837,   842,    38,
     840,   841,   842,   843,    34,    25,   522,   523,   505,   506,
     854,    25,   856,   857,   858,    40,    25,   857,   858,    41,
      36,    38,    25,    25,   843,    25,    36,    34,    25,    25,
      21,    32,    36,    39,   531,    40,    21,    32,    21,   879,
     880,    91,   882,    36,    91,    34,    32,    91,    38,    41,
      91,   894,    33,    25,    36,    21,    36,    24,   555,    38,
     879,   880,    40,    21,    25,   581,    21,   583,   584,   909,
     910,    21,    32,   589,   590,   919,    21,    40,   594,   595,
      91,    38,    38,    21,   600,   601,    33,    38,    24,    33,
      38,    25,    29,    25,    21,    25,    21,    38,    33,    42,
      40,    40,    33,    25,   854,   621,    25,   623,    29,    38,
      33,    25,    25,    25,    25,   919,    40,    25,    25,   604,
      38,    38,    42,    38,    40,    25,    25,   856,   842,    38,
      40,   274,   274,    39,    38,    38,    38,   274,    39,   581,
     728,    -1,    -1,   275,   279,   279,    44,   277,   274,   277,
     742,   274,   274,    -1,   651,   652,    -1,   458,   458,    -1,
     657,   658,    -1,    -1,    -1,   279,   663,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   690,    -1,   692,   712,    -1,    -1,    -1,
     716,    -1,    -1,    -1,   720,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     736,    -1,    -1,    -1,   740,    -1,    -1,    -1,   744,    -1,
     746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   771,   772,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   762,    -1,    -1,    -1,   766,
      -1,    -1,    -1,   770,    -1,    -1,    -1,    -1,    -1,    -1,
     777,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   808,    -1,    -1,    -1,   831,   832,   833,   834,   816,
      -1,   818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   838,   839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   871,   872,     3,     4,     5,     6,
      -1,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,     3,     4,
       5,    -1,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
       3,     4,     5,    -1,    -1,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,     3,     4,     5,    -1,    -1,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,     3,     4,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,     3,     4,     5,     6,    -1,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,     3,     4,     5,    -1,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,     3,     4,     5,
      -1,    -1,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,     3,     4,
       5,    -1,    -1,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,     3,
       4,     5,    -1,    -1,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
       3,     4,     5,    -1,    -1,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,     3,     4,     5,    -1,    -1,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,     3,     4,     5,    -1,    -1,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,     3,     4,     5,    -1,    -1,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,     3,     4,     5,    -1,    -1,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned short int yystos[] =
{
       0,     1,     3,    21,    23,    24,    27,    32,    37,    38,
      39,    41,   228,   229,   230,   231,   270,   271,   272,   273,
     274,   275,   278,   279,   280,   281,   282,   318,   321,    24,
      38,    25,    25,    29,    35,    41,    25,    25,    41,    34,
       0,   225,   226,   268,   269,     3,     4,     5,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   259,   262,   263,   264,   267,
     267,   267,   267,   267,   267,   267,   267,   267,   267,   267,
     267,   267,    24,    25,    39,    40,    39,    21,    29,    33,
      39,    32,    40,    22,    39,   268,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,   261,   262,   261,   261,
     261,   261,   261,   261,   261,   261,     3,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,   264,    23,   283,
      21,    23,    25,    33,    39,   234,   283,   284,   285,   286,
     294,   296,   297,   298,   299,   300,   301,   303,   305,   306,
     307,   308,   309,   310,   314,    21,    33,   236,   297,   307,
     237,   297,   307,    21,    23,    33,   242,   284,   285,   286,
     296,   303,   306,    29,   238,   293,   294,   283,    21,    25,
      33,   235,   283,   295,   300,   304,   305,   320,    22,    23,
      33,    39,    42,   232,   288,   289,   290,   291,   292,   319,
     233,   288,   289,   290,   291,   292,   319,   259,   265,   267,
     283,    21,    40,    40,    24,    40,    35,    25,    25,    39,
      41,   262,    28,    41,    42,    28,    34,    29,    25,   267,
     267,   267,   267,   267,   267,   267,   267,   267,   267,   267,
     267,   267,    41,    29,   267,   267,   267,   267,    41,    28,
      29,    34,   267,   267,   267,    41,    23,    29,   267,   267,
     267,   267,   267,   267,    41,    28,    29,    40,    35,   259,
     267,   267,    40,    38,    42,    40,    23,    23,    22,    21,
      24,    21,    21,    27,    24,    38,    29,   287,   290,   291,
     292,   287,   287,   287,   287,   287,   287,   287,   287,   287,
     287,   287,   287,    24,    24,   259,   259,    12,    13,    14,
      15,    16,    17,    18,    19,    20,   263,   263,    24,    21,
      24,    39,     6,     7,    34,   243,   255,   266,   277,   244,
     254,   259,   252,   263,    24,    28,    24,    21,    33,    42,
     239,   297,   301,   302,   307,   310,   311,   312,   313,   315,
     263,   263,   263,   263,   258,   259,   263,    26,    21,    39,
      38,    29,   252,    25,    35,    25,    40,    38,    39,    34,
      29,    29,    34,    29,    29,    42,    34,   267,   267,   267,
     267,   267,   267,   267,   267,   267,   267,   267,   267,   267,
     267,   267,    29,    29,   267,   267,    29,    34,    29,    40,
     265,   265,    35,   267,   267,   267,    29,    35,    29,    41,
      29,    35,   267,   267,   267,   267,   267,   267,   267,   267,
     267,   267,   267,   267,   267,    26,    34,    23,    25,    23,
      45,    29,    23,    34,    35,    32,    34,    34,    91,    25,
      26,   252,    22,    36,   241,   316,   317,   252,   252,   254,
     263,   259,   259,   263,   263,   263,   263,   259,   259,   263,
      35,    91,   240,   259,   240,    35,    34,    91,    38,     6,
       7,    34,   253,   263,   255,   252,    35,    91,    24,    24,
      32,   252,   252,   252,   252,   252,   252,   252,   252,   252,
     259,   263,   259,   263,    25,    34,    25,    21,    25,    22,
      38,    25,    91,    21,    25,    25,    29,    38,    35,    45,
      25,   267,   267,   267,   267,   267,   267,   267,    91,    29,
     267,     4,    91,    25,    29,    41,    91,   267,   267,    91,
      29,    29,    29,    41,   267,   267,   267,   267,   267,   267,
     267,   267,   267,     4,   267,     4,   267,    38,    25,    32,
      33,    91,    25,    29,    32,    35,    22,    32,    34,    40,
      38,   252,   259,   263,   263,   263,   259,   263,    35,    34,
     259,     6,     7,     9,    10,   256,   257,   259,   260,   261,
     262,   263,    35,    32,    34,    33,    33,   252,   253,    35,
      34,    35,    91,    33,   245,   263,   246,   263,   247,   259,
     245,   248,   263,    21,   249,   263,   276,   250,   259,   245,
       9,    10,   251,   260,   263,   256,   259,   256,   259,    91,
      32,    32,    91,    23,    22,    41,    32,    39,    36,    25,
      23,   267,   267,   267,   267,    41,    36,     4,   259,   259,
     261,   261,     5,     8,    41,    36,    25,    35,   267,    41,
      36,    91,    29,    25,   267,    32,   267,     4,     4,    26,
      91,    21,    23,    35,    25,    40,    25,    41,    39,    25,
     240,   259,   259,   240,    40,    41,   256,     6,     7,     8,
       8,   257,   261,    40,    41,    34,    24,   252,    40,    41,
      35,    34,   246,    32,   248,   256,   256,    29,    23,    29,
      34,    35,    41,    36,    91,    40,    34,    36,    40,   261,
     261,    36,    40,    40,    21,    36,    40,    41,    36,   267,
      32,    35,    34,    25,    41,    34,    41,    21,    25,    33,
      91,    40,    41,    91,    41,    91,    32,    41,    91,    40,
      41,   249,    32,    41,    26,    35,    34,    40,    40,    41,
      34,    29,    24,    36,    21,    40,    24,    40,    24,    40,
      24,    36,    36,    40,    34,    35,    41,    40,    91,    24,
      27,    24,    25,    38,    35,    27,    91,    25,    91,    25,
      91,    25,    35,    41,    91,    40,    39,    23,    24,    29,
      29,    29,    42,    29,    38,    25,    24,    42,    24,    42,
      23,    24,    42,    38,    40,    23,    36,    40,    28,    25,
      38,    35,    34,    91,    29,    42,    40,    25,    29,    25,
      29,    28,    25,    29,    40,    91,    28,    35,    45,    21,
      42,    29,    91,    25,    29,    23,    25,    91,    42,    23,
      42,    23,    21,    42,    23,    23,    40,    21,    38,    36,
      34,    29,    42,    35,    39,    34,    25,    38,    36,    29,
      25,    29,    25,    34,    29,    25,    28,    45,    34,    40,
      25,    34,    23,    25,    41,    36,    39,    91,    21,    23,
      23,    34,    23,    91,    21,    36,    34,    25,    25,    38,
      40,    41,    36,    38,    25,    25,    25,    25,    36,    34,
      25,    25,    32,    39,    91,    36,    40,    21,    21,    32,
      91,    21,    34,    32,    91,    36,    41,    91,    38,    33,
      36,    38,    25,    36,    21,    40,    24,    21,    25,    21,
      21,    32,    21,    38,    91,    38,    33,    40,    38,    33,
      38,    21,    24,    29,    25,    25,    21,    25,    21,    33,
      38,    42,    40,    38,    33,    40,    33,    25,    29,    25,
      25,    25,    25,    25,    40,    42,    38,    38,    40,    38,
      40,    25,    25,    39,    25,    25,    38,    38,    38,    38,
      39
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)		\
   ((Current).first_line   = (Rhs)[1].first_line,	\
    (Current).first_column = (Rhs)[1].first_column,	\
    (Current).last_line    = (Rhs)[N].last_line,	\
    (Current).last_column  = (Rhs)[N].last_column)
#endif

/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YYDSYMPRINT(Args)			\
do {						\
  if (yydebug)					\
    yysymprint Args;				\
} while (0)

# define YYDSYMPRINTF(Title, Token, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Token, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short int *bottom, short int *top)
#else
static void
yy_stack_print (bottom, top)
    short int *bottom;
    short int *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YYDSYMPRINT(Args)
# define YYDSYMPRINTF(Title, Token, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if defined (YYMAXDEPTH) && YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    {
      YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
# ifdef YYPRINT
      YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
    }
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yytype, yyvaluep)
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */






/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  /* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short int yyssa[YYINITDEPTH];
  short int *yyss = yyssa;
  register short int *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;


  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short int *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short int *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YYDSYMPRINTF ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %s, ", yytname[yytoken]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 4:
#line 94 "lscp.y"
    { return LSCP_DONE; }
    break;

  case 5:
#line 95 "lscp.y"
    { return LSCP_DONE; }
    break;

  case 6:
#line 96 "lscp.y"
    { LSCPSERVER->AnswerClient(yyvsp[0].String); return LSCP_DONE; }
    break;

  case 7:
#line 97 "lscp.y"
    { LSCPSERVER->AnswerClient("ERR:0:Unknown command.\r\n"); RESTART; return LSCP_SYNTAX_ERROR; }
    break;

  case 13:
#line 107 "lscp.y"
    { yyval.String = LSCPSERVER->AddChannel();                          }
    break;

  case 14:
#line 108 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 15:
#line 109 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 16:
#line 110 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 17:
#line 111 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 18:
#line 112 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 19:
#line 113 "lscp.y"
    { yyval.String = LSCPSERVER->RemoveChannel(yyvsp[0].Number);                     }
    break;

  case 20:
#line 114 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 21:
#line 115 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 22:
#line 116 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                }
    break;

  case 23:
#line 117 "lscp.y"
    { yyval.String = LSCPSERVER->QueryDatabase(yyvsp[0].String);                     }
    break;

  case 24:
#line 118 "lscp.y"
    { yyval.String = LSCPSERVER->ResetChannel(yyvsp[0].Number);                      }
    break;

  case 25:
#line 119 "lscp.y"
    { yyval.String = LSCPSERVER->ResetSampler();                        }
    break;

  case 26:
#line 120 "lscp.y"
    { LSCPSERVER->AnswerClient("Bye!\r\n"); return LSCP_QUIT; }
    break;

  case 27:
#line 123 "lscp.y"
    { yyval.String = LSCPSERVER->SubscribeNotification(LSCPEvent::event_channel_count); }
    break;

  case 28:
#line 124 "lscp.y"
    { yyval.String = LSCPSERVER->SubscribeNotification(LSCPEvent::event_voice_count);   }
    break;

  case 29:
#line 125 "lscp.y"
    { yyval.String = LSCPSERVER->SubscribeNotification(LSCPEvent::event_stream_count);  }
    break;

  case 30:
#line 126 "lscp.y"
    { yyval.String = LSCPSERVER->SubscribeNotification(LSCPEvent::event_buffer_fill);   }
    break;

  case 31:
#line 127 "lscp.y"
    { yyval.String = LSCPSERVER->SubscribeNotification(LSCPEvent::event_channel_info);  }
    break;

  case 32:
#line 128 "lscp.y"
    { yyval.String = LSCPSERVER->SubscribeNotification(LSCPEvent::event_misc);          }
    break;

  case 33:
#line 131 "lscp.y"
    { yyval.String = LSCPSERVER->UnsubscribeNotification(LSCPEvent::event_channel_count); }
    break;

  case 34:
#line 132 "lscp.y"
    { yyval.String = LSCPSERVER->UnsubscribeNotification(LSCPEvent::event_voice_count);   }
    break;

  case 35:
#line 133 "lscp.y"
    { yyval.String = LSCPSERVER->UnsubscribeNotification(LSCPEvent::event_stream_count);  }
    break;

  case 36:
#line 134 "lscp.y"
    { yyval.String = LSCPSERVER->UnsubscribeNotification(LSCPEvent::event_buffer_fill);   }
    break;

  case 37:
#line 135 "lscp.y"
    { yyval.String = LSCPSERVER->UnsubscribeNotification(LSCPEvent::event_channel_info);  }
    break;

  case 38:
#line 136 "lscp.y"
    { yyval.String = LSCPSERVER->UnsubscribeNotification(LSCPEvent::event_misc);          }
    break;

  case 39:
#line 139 "lscp.y"
    { yyval.String = LSCPSERVER->GetAvailableEngines();                          }
    break;

  case 40:
#line 140 "lscp.y"
    { yyval.String = LSCPSERVER->GetAvailableMidiInputDrivers();                 }
    break;

  case 41:
#line 141 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputDriverInfo(yyvsp[0].String);                     }
    break;

  case 42:
#line 142 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputDriverParameterInfo(yyvsp[-2].String, yyvsp[0].String);        }
    break;

  case 43:
#line 143 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputDriverParameterInfo(yyvsp[-4].String, yyvsp[-2].String, yyvsp[0].KeyValList);    }
    break;

  case 44:
#line 144 "lscp.y"
    { yyval.String = LSCPSERVER->GetAvailableAudioOutputDrivers();               }
    break;

  case 45:
#line 145 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputDriverInfo(yyvsp[0].String);                   }
    break;

  case 46:
#line 146 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputDriverParameterInfo(yyvsp[-2].String, yyvsp[0].String);      }
    break;

  case 47:
#line 147 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputDriverParameterInfo(yyvsp[-4].String, yyvsp[-2].String, yyvsp[0].KeyValList);  }
    break;

  case 48:
#line 148 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputDeviceCount();                    }
    break;

  case 49:
#line 149 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputDeviceCount();                      }
    break;

  case 50:
#line 150 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputDeviceInfo(yyvsp[0].Number);                   }
    break;

  case 51:
#line 151 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputDeviceInfo(yyvsp[0].Number);                     }
    break;

  case 52:
#line 152 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputPortInfo(yyvsp[-2].Number, yyvsp[0].Number);                   }
    break;

  case 53:
#line 153 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputPortParameterInfo(yyvsp[-4].Number, yyvsp[-2].Number, yyvsp[0].String);      }
    break;

  case 54:
#line 154 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputChannelInfo(yyvsp[-2].Number, yyvsp[0].Number);              }
    break;

  case 55:
#line 155 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputChannelParameterInfo(yyvsp[-4].Number, yyvsp[-2].Number, yyvsp[0].String); }
    break;

  case 56:
#line 156 "lscp.y"
    { yyval.String = LSCPSERVER->GetChannels();                                  }
    break;

  case 57:
#line 157 "lscp.y"
    { yyval.String = LSCPSERVER->GetChannelInfo(yyvsp[0].Number);                             }
    break;

  case 58:
#line 158 "lscp.y"
    { yyval.String = LSCPSERVER->GetBufferFill(yyvsp[-2].FillResponse, yyvsp[0].Number);                          }
    break;

  case 59:
#line 159 "lscp.y"
    { yyval.String = LSCPSERVER->GetStreamCount(yyvsp[0].Number);                             }
    break;

  case 60:
#line 160 "lscp.y"
    { yyval.String = LSCPSERVER->GetVoiceCount(yyvsp[0].Number);                              }
    break;

  case 61:
#line 161 "lscp.y"
    { yyval.String = LSCPSERVER->GetEngineInfo(yyvsp[0].String);                              }
    break;

  case 62:
#line 162 "lscp.y"
    { yyval.String = LSCPSERVER->GetServerInfo();                                }
    break;

  case 63:
#line 165 "lscp.y"
    { yyval.String = LSCPSERVER->SetAudioOutputDeviceParameter(yyvsp[-4].Number, yyvsp[-2].String, yyvsp[0].String);      }
    break;

  case 64:
#line 166 "lscp.y"
    { yyval.String = LSCPSERVER->SetAudioOutputChannelParameter(yyvsp[-6].Number, yyvsp[-4].Number, yyvsp[-2].String, yyvsp[0].String); }
    break;

  case 65:
#line 167 "lscp.y"
    { yyval.String = LSCPSERVER->SetMidiInputDeviceParameter(yyvsp[-4].Number, yyvsp[-2].String, yyvsp[0].String);        }
    break;

  case 66:
#line 168 "lscp.y"
    { yyval.String = LSCPSERVER->SetMidiInputPortParameter(yyvsp[-6].Number, yyvsp[-4].Number, yyvsp[-2].String, yyvsp[0].String);      }
    break;

  case 67:
#line 169 "lscp.y"
    { yyval.String = yyvsp[0].String;                                                         }
    break;

  case 68:
#line 170 "lscp.y"
    { yyval.String = LSCPSERVER->SetEcho((yyparse_param_t*) yyparse_param, yyvsp[0].Dotnum);  }
    break;

  case 69:
#line 173 "lscp.y"
    { yyval.String = LSCPSERVER->CreateAudioOutputDevice(yyvsp[-2].String,yyvsp[0].KeyValList); }
    break;

  case 70:
#line 174 "lscp.y"
    { yyval.String = LSCPSERVER->CreateAudioOutputDevice(yyvsp[0].String);    }
    break;

  case 71:
#line 175 "lscp.y"
    { yyval.String = LSCPSERVER->CreateMidiInputDevice(yyvsp[-2].String,yyvsp[0].KeyValList);   }
    break;

  case 72:
#line 176 "lscp.y"
    { yyval.String = LSCPSERVER->CreateMidiInputDevice(yyvsp[0].String);      }
    break;

  case 73:
#line 179 "lscp.y"
    { yyval.String = LSCPSERVER->DestroyAudioOutputDevice(yyvsp[0].Number); }
    break;

  case 74:
#line 180 "lscp.y"
    { yyval.String = LSCPSERVER->DestroyMidiInputDevice(yyvsp[0].Number);   }
    break;

  case 75:
#line 183 "lscp.y"
    { yyval.String = yyvsp[0].String; }
    break;

  case 76:
#line 184 "lscp.y"
    { yyval.String = yyvsp[0].String; }
    break;

  case 77:
#line 187 "lscp.y"
    { yyval.String = LSCPSERVER->SetAudioOutputDevice(yyvsp[0].Number, yyvsp[-2].Number);      }
    break;

  case 78:
#line 188 "lscp.y"
    { yyval.String = LSCPSERVER->SetAudioOutputChannel(yyvsp[-2].Number, yyvsp[0].Number, yyvsp[-4].Number); }
    break;

  case 79:
#line 189 "lscp.y"
    { yyval.String = LSCPSERVER->SetAudioOutputType(yyvsp[0].String, yyvsp[-2].Number);        }
    break;

  case 80:
#line 190 "lscp.y"
    { yyval.String = LSCPSERVER->SetMIDIInput(yyvsp[-4].Number, yyvsp[-2].Number, yyvsp[0].Number, yyvsp[-6].Number);      }
    break;

  case 81:
#line 191 "lscp.y"
    { yyval.String = LSCPSERVER->SetMIDIInputDevice(yyvsp[0].Number, yyvsp[-2].Number);        }
    break;

  case 82:
#line 192 "lscp.y"
    { yyval.String = LSCPSERVER->SetMIDIInputPort(yyvsp[0].Number, yyvsp[-2].Number);          }
    break;

  case 83:
#line 193 "lscp.y"
    { yyval.String = LSCPSERVER->SetMIDIInputChannel(yyvsp[0].Number, yyvsp[-2].Number);       }
    break;

  case 84:
#line 194 "lscp.y"
    { yyval.String = LSCPSERVER->SetMIDIInputType(yyvsp[0].String, yyvsp[-2].Number);          }
    break;

  case 85:
#line 195 "lscp.y"
    { yyval.String = LSCPSERVER->SetVolume(yyvsp[0].Dotnum, yyvsp[-2].Number);                 }
    break;

  case 86:
#line 198 "lscp.y"
    { yyval.KeyValList[yyvsp[-2].String] = yyvsp[0].String;          }
    break;

  case 87:
#line 199 "lscp.y"
    { yyval.KeyValList = yyvsp[-4].KeyValList; yyval.KeyValList[yyvsp[-2].String] = yyvsp[0].String; }
    break;

  case 88:
#line 202 "lscp.y"
    { yyval.FillResponse = fill_response_bytes;      }
    break;

  case 89:
#line 203 "lscp.y"
    { yyval.FillResponse = fill_response_percentage; }
    break;

  case 90:
#line 206 "lscp.y"
    { yyval.String = LSCPSERVER->GetAudioOutputDevices();           }
    break;

  case 91:
#line 207 "lscp.y"
    { yyval.String = LSCPSERVER->GetMidiInputDevices();             }
    break;

  case 92:
#line 208 "lscp.y"
    { yyval.String = LSCPSERVER->ListChannels();                    }
    break;

  case 93:
#line 209 "lscp.y"
    { yyval.String = LSCPSERVER->ListAvailableEngines();            }
    break;

  case 94:
#line 210 "lscp.y"
    { yyval.String = LSCPSERVER->ListAvailableMidiInputDrivers();   }
    break;

  case 95:
#line 211 "lscp.y"
    { yyval.String = LSCPSERVER->ListAvailableAudioOutputDrivers(); }
    break;

  case 96:
#line 214 "lscp.y"
    { yyval.String = LSCPSERVER->LoadInstrument(yyvsp[-4].String, yyvsp[-2].Number, yyvsp[0].Number);       }
    break;

  case 97:
#line 215 "lscp.y"
    { yyval.String = LSCPSERVER->LoadInstrument(yyvsp[-4].String, yyvsp[-2].Number, yyvsp[0].Number, true); }
    break;

  case 98:
#line 218 "lscp.y"
    { yyval.String = LSCPSERVER->SetEngineType(yyvsp[-2].String, yyvsp[0].Number); }
    break;

  case 104:
#line 234 "lscp.y"
    { yyval.Number = 16; }
    break;

  case 107:
#line 241 "lscp.y"
    { yyval.Dotnum = yyvsp[0].Number; }
    break;

  case 113:
#line 257 "lscp.y"
    { yyval.String = yyvsp[-2].String + "," + yyvsp[0].String; }
    break;

  case 115:
#line 261 "lscp.y"
    { yyval.String = "\'" + yyvsp[-1].String + "\'"; }
    break;

  case 116:
#line 262 "lscp.y"
    { yyval.String = "\"" + yyvsp[-1].String + "\""; }
    break;

  case 117:
#line 263 "lscp.y"
    { std::stringstream ss; ss << "\'" << yyvsp[0].Number << "\'"; yyval.String = ss.str(); }
    break;

  case 118:
#line 264 "lscp.y"
    { std::stringstream ss; ss << "\'" << yyvsp[0].Dotnum << "\'"; yyval.String = ss.str(); }
    break;

  case 119:
#line 272 "lscp.y"
    { yyval.Dotnum = yyvsp[0].Number; }
    break;

  case 120:
#line 273 "lscp.y"
    { yyval.Dotnum = -1; }
    break;

  case 121:
#line 276 "lscp.y"
    { std::string s; s = yyvsp[0].Char; yyval.String = s; }
    break;

  case 122:
#line 277 "lscp.y"
    { yyval.String = yyvsp[-1].String + yyvsp[0].Char;                  }
    break;

  case 123:
#line 280 "lscp.y"
    { yyval.Dotnum = atof(String(yyvsp[-2].String + "." + yyvsp[0].String).c_str());                         }
    break;

  case 124:
#line 281 "lscp.y"
    { String s = "+"; s += yyvsp[-2].String; s += "."; s += yyvsp[0].String; yyval.Dotnum = atof(s.c_str()); }
    break;

  case 125:
#line 282 "lscp.y"
    { yyval.Dotnum = atof(String("-" + yyvsp[-2].String + "." + yyvsp[0].String).c_str());                   }
    break;

  case 126:
#line 286 "lscp.y"
    { yyval.String = yyvsp[0].Char;      }
    break;

  case 127:
#line 287 "lscp.y"
    { yyval.String = yyvsp[-1].String + yyvsp[0].Char; }
    break;

  case 128:
#line 290 "lscp.y"
    { yyval.Char = '0'; }
    break;

  case 129:
#line 291 "lscp.y"
    { yyval.Char = '1'; }
    break;

  case 130:
#line 292 "lscp.y"
    { yyval.Char = '2'; }
    break;

  case 131:
#line 293 "lscp.y"
    { yyval.Char = '3'; }
    break;

  case 132:
#line 294 "lscp.y"
    { yyval.Char = '4'; }
    break;

  case 133:
#line 295 "lscp.y"
    { yyval.Char = '5'; }
    break;

  case 134:
#line 296 "lscp.y"
    { yyval.Char = '6'; }
    break;

  case 135:
#line 297 "lscp.y"
    { yyval.Char = '7'; }
    break;

  case 136:
#line 298 "lscp.y"
    { yyval.Char = '8'; }
    break;

  case 137:
#line 299 "lscp.y"
    { yyval.Char = '9'; }
    break;

  case 138:
#line 302 "lscp.y"
    { yyval.Number = atoi(String(1, yyvsp[0].Char).c_str());      }
    break;

  case 139:
#line 303 "lscp.y"
    { yyval.Number = atoi(String(String("1") + yyvsp[0].String).c_str()); }
    break;

  case 140:
#line 304 "lscp.y"
    { yyval.Number = atoi(String(String("2") + yyvsp[0].String).c_str()); }
    break;

  case 141:
#line 305 "lscp.y"
    { yyval.Number = atoi(String(String("3") + yyvsp[0].String).c_str()); }
    break;

  case 142:
#line 306 "lscp.y"
    { yyval.Number = atoi(String(String("4") + yyvsp[0].String).c_str()); }
    break;

  case 143:
#line 307 "lscp.y"
    { yyval.Number = atoi(String(String("5") + yyvsp[0].String).c_str()); }
    break;

  case 144:
#line 308 "lscp.y"
    { yyval.Number = atoi(String(String("6") + yyvsp[0].String).c_str()); }
    break;

  case 145:
#line 309 "lscp.y"
    { yyval.Number = atoi(String(String("7") + yyvsp[0].String).c_str()); }
    break;

  case 146:
#line 310 "lscp.y"
    { yyval.Number = atoi(String(String("8") + yyvsp[0].String).c_str()); }
    break;

  case 147:
#line 311 "lscp.y"
    { yyval.Number = atoi(String(String("9") + yyvsp[0].String).c_str()); }
    break;

  case 148:
#line 313 "lscp.y"
    { yyval.Char = 'A'; }
    break;

  case 149:
#line 313 "lscp.y"
    { yyval.Char = 'B'; }
    break;

  case 150:
#line 313 "lscp.y"
    { yyval.Char = 'C'; }
    break;

  case 151:
#line 313 "lscp.y"
    { yyval.Char = 'D'; }
    break;

  case 152:
#line 313 "lscp.y"
    { yyval.Char = 'E'; }
    break;

  case 153:
#line 313 "lscp.y"
    { yyval.Char = 'F'; }
    break;

  case 154:
#line 313 "lscp.y"
    { yyval.Char = 'G'; }
    break;

  case 155:
#line 313 "lscp.y"
    { yyval.Char = 'H'; }
    break;

  case 156:
#line 313 "lscp.y"
    { yyval.Char = 'I'; }
    break;

  case 157:
#line 313 "lscp.y"
    { yyval.Char = 'J'; }
    break;

  case 158:
#line 313 "lscp.y"
    { yyval.Char = 'K'; }
    break;

  case 159:
#line 313 "lscp.y"
    { yyval.Char = 'L'; }
    break;

  case 160:
#line 313 "lscp.y"
    { yyval.Char = 'M'; }
    break;

  case 161:
#line 313 "lscp.y"
    { yyval.Char = 'N'; }
    break;

  case 162:
#line 313 "lscp.y"
    { yyval.Char = 'O'; }
    break;

  case 163:
#line 313 "lscp.y"
    { yyval.Char = 'P'; }
    break;

  case 164:
#line 313 "lscp.y"
    { yyval.Char = 'Q'; }
    break;

  case 165:
#line 313 "lscp.y"
    { yyval.Char = 'R'; }
    break;

  case 166:
#line 313 "lscp.y"
    { yyval.Char = 'S'; }
    break;

  case 167:
#line 313 "lscp.y"
    { yyval.Char = 'T'; }
    break;

  case 168:
#line 313 "lscp.y"
    { yyval.Char = 'U'; }
    break;

  case 169:
#line 313 "lscp.y"
    { yyval.Char = 'V'; }
    break;

  case 170:
#line 313 "lscp.y"
    { yyval.Char = 'W'; }
    break;

  case 171:
#line 313 "lscp.y"
    { yyval.Char = 'X'; }
    break;

  case 172:
#line 313 "lscp.y"
    { yyval.Char = 'Y'; }
    break;

  case 173:
#line 313 "lscp.y"
    { yyval.Char = 'Z'; }
    break;

  case 174:
#line 314 "lscp.y"
    { yyval.Char = 'a'; }
    break;

  case 175:
#line 314 "lscp.y"
    { yyval.Char = 'b'; }
    break;

  case 176:
#line 314 "lscp.y"
    { yyval.Char = 'c'; }
    break;

  case 177:
#line 314 "lscp.y"
    { yyval.Char = 'd'; }
    break;

  case 178:
#line 314 "lscp.y"
    { yyval.Char = 'e'; }
    break;

  case 179:
#line 314 "lscp.y"
    { yyval.Char = 'f'; }
    break;

  case 180:
#line 314 "lscp.y"
    { yyval.Char = 'g'; }
    break;

  case 181:
#line 314 "lscp.y"
    { yyval.Char = 'h'; }
    break;

  case 182:
#line 314 "lscp.y"
    { yyval.Char = 'i'; }
    break;

  case 183:
#line 314 "lscp.y"
    { yyval.Char = 'j'; }
    break;

  case 184:
#line 314 "lscp.y"
    { yyval.Char = 'k'; }
    break;

  case 185:
#line 314 "lscp.y"
    { yyval.Char = 'l'; }
    break;

  case 186:
#line 314 "lscp.y"
    { yyval.Char = 'm'; }
    break;

  case 187:
#line 314 "lscp.y"
    { yyval.Char = 'n'; }
    break;

  case 188:
#line 314 "lscp.y"
    { yyval.Char = 'o'; }
    break;

  case 189:
#line 314 "lscp.y"
    { yyval.Char = 'p'; }
    break;

  case 190:
#line 314 "lscp.y"
    { yyval.Char = 'q'; }
    break;

  case 191:
#line 314 "lscp.y"
    { yyval.Char = 'r'; }
    break;

  case 192:
#line 314 "lscp.y"
    { yyval.Char = 's'; }
    break;

  case 193:
#line 314 "lscp.y"
    { yyval.Char = 't'; }
    break;

  case 194:
#line 314 "lscp.y"
    { yyval.Char = 'u'; }
    break;

  case 195:
#line 314 "lscp.y"
    { yyval.Char = 'v'; }
    break;

  case 196:
#line 314 "lscp.y"
    { yyval.Char = 'w'; }
    break;

  case 197:
#line 314 "lscp.y"
    { yyval.Char = 'x'; }
    break;

  case 198:
#line 314 "lscp.y"
    { yyval.Char = 'y'; }
    break;

  case 199:
#line 314 "lscp.y"
    { yyval.Char = 'z'; }
    break;

  case 200:
#line 315 "lscp.y"
    { yyval.Char = '0'; }
    break;

  case 201:
#line 315 "lscp.y"
    { yyval.Char = '1'; }
    break;

  case 202:
#line 315 "lscp.y"
    { yyval.Char = '2'; }
    break;

  case 203:
#line 315 "lscp.y"
    { yyval.Char = '3'; }
    break;

  case 204:
#line 315 "lscp.y"
    { yyval.Char = '4'; }
    break;

  case 205:
#line 315 "lscp.y"
    { yyval.Char = '5'; }
    break;

  case 206:
#line 315 "lscp.y"
    { yyval.Char = '6'; }
    break;

  case 207:
#line 315 "lscp.y"
    { yyval.Char = '7'; }
    break;

  case 208:
#line 315 "lscp.y"
    { yyval.Char = '8'; }
    break;

  case 209:
#line 315 "lscp.y"
    { yyval.Char = '9'; }
    break;

  case 210:
#line 316 "lscp.y"
    { yyval.Char = '!'; }
    break;

  case 211:
#line 316 "lscp.y"
    { yyval.Char = '#'; }
    break;

  case 212:
#line 316 "lscp.y"
    { yyval.Char = '$'; }
    break;

  case 213:
#line 316 "lscp.y"
    { yyval.Char = '%'; }
    break;

  case 214:
#line 316 "lscp.y"
    { yyval.Char = '&'; }
    break;

  case 215:
#line 316 "lscp.y"
    { yyval.Char = '('; }
    break;

  case 216:
#line 316 "lscp.y"
    { yyval.Char = ')'; }
    break;

  case 217:
#line 316 "lscp.y"
    { yyval.Char = '*'; }
    break;

  case 218:
#line 316 "lscp.y"
    { yyval.Char = '+'; }
    break;

  case 219:
#line 316 "lscp.y"
    { yyval.Char = '-'; }
    break;

  case 220:
#line 316 "lscp.y"
    { yyval.Char = '.'; }
    break;

  case 221:
#line 316 "lscp.y"
    { yyval.Char = ','; }
    break;

  case 222:
#line 316 "lscp.y"
    { yyval.Char = '/'; }
    break;

  case 223:
#line 317 "lscp.y"
    { yyval.Char = ':'; }
    break;

  case 224:
#line 317 "lscp.y"
    { yyval.Char = ';'; }
    break;

  case 225:
#line 317 "lscp.y"
    { yyval.Char = '<'; }
    break;

  case 226:
#line 317 "lscp.y"
    { yyval.Char = '='; }
    break;

  case 227:
#line 317 "lscp.y"
    { yyval.Char = '>'; }
    break;

  case 228:
#line 317 "lscp.y"
    { yyval.Char = '?'; }
    break;

  case 229:
#line 317 "lscp.y"
    { yyval.Char = '@'; }
    break;

  case 230:
#line 318 "lscp.y"
    { yyval.Char = '['; }
    break;

  case 231:
#line 318 "lscp.y"
    { yyval.Char = '\\'; }
    break;

  case 232:
#line 318 "lscp.y"
    { yyval.Char = ']'; }
    break;

  case 233:
#line 318 "lscp.y"
    { yyval.Char = '^'; }
    break;

  case 234:
#line 318 "lscp.y"
    { yyval.Char = '_'; }
    break;

  case 235:
#line 319 "lscp.y"
    { yyval.Char = '{'; }
    break;

  case 236:
#line 319 "lscp.y"
    { yyval.Char = '|'; }
    break;

  case 237:
#line 319 "lscp.y"
    { yyval.Char = '}'; }
    break;

  case 238:
#line 319 "lscp.y"
    { yyval.Char = '~'; }
    break;

  case 239:
#line 320 "lscp.y"
    { yyval.Char = '\200'; }
    break;

  case 240:
#line 320 "lscp.y"
    { yyval.Char = '\201'; }
    break;

  case 241:
#line 320 "lscp.y"
    { yyval.Char = '\202'; }
    break;

  case 242:
#line 321 "lscp.y"
    { yyval.Char = '\203'; }
    break;

  case 243:
#line 321 "lscp.y"
    { yyval.Char = '\204'; }
    break;

  case 244:
#line 321 "lscp.y"
    { yyval.Char = '\205'; }
    break;

  case 245:
#line 322 "lscp.y"
    { yyval.Char = '\206'; }
    break;

  case 246:
#line 322 "lscp.y"
    { yyval.Char = '\207'; }
    break;

  case 247:
#line 322 "lscp.y"
    { yyval.Char = '\210'; }
    break;

  case 248:
#line 323 "lscp.y"
    { yyval.Char = '\211'; }
    break;

  case 249:
#line 323 "lscp.y"
    { yyval.Char = '\212'; }
    break;

  case 250:
#line 323 "lscp.y"
    { yyval.Char = '\213'; }
    break;

  case 251:
#line 324 "lscp.y"
    { yyval.Char = '\214'; }
    break;

  case 252:
#line 324 "lscp.y"
    { yyval.Char = '\215'; }
    break;

  case 253:
#line 324 "lscp.y"
    { yyval.Char = '\216'; }
    break;

  case 254:
#line 325 "lscp.y"
    { yyval.Char = '\217'; }
    break;

  case 255:
#line 325 "lscp.y"
    { yyval.Char = '\220'; }
    break;

  case 256:
#line 325 "lscp.y"
    { yyval.Char = '\221'; }
    break;

  case 257:
#line 326 "lscp.y"
    { yyval.Char = '\222'; }
    break;

  case 258:
#line 326 "lscp.y"
    { yyval.Char = '\223'; }
    break;

  case 259:
#line 326 "lscp.y"
    { yyval.Char = '\224'; }
    break;

  case 260:
#line 327 "lscp.y"
    { yyval.Char = '\225'; }
    break;

  case 261:
#line 327 "lscp.y"
    { yyval.Char = '\226'; }
    break;

  case 262:
#line 327 "lscp.y"
    { yyval.Char = '\227'; }
    break;

  case 263:
#line 328 "lscp.y"
    { yyval.Char = '\230'; }
    break;

  case 264:
#line 328 "lscp.y"
    { yyval.Char = '\231'; }
    break;

  case 265:
#line 328 "lscp.y"
    { yyval.Char = '\232'; }
    break;

  case 266:
#line 329 "lscp.y"
    { yyval.Char = '\233'; }
    break;

  case 267:
#line 329 "lscp.y"
    { yyval.Char = '\234'; }
    break;

  case 268:
#line 329 "lscp.y"
    { yyval.Char = '\235'; }
    break;

  case 269:
#line 330 "lscp.y"
    { yyval.Char = '\236'; }
    break;

  case 270:
#line 330 "lscp.y"
    { yyval.Char = '\237'; }
    break;

  case 271:
#line 330 "lscp.y"
    { yyval.Char = '\240'; }
    break;

  case 272:
#line 331 "lscp.y"
    { yyval.Char = '\241'; }
    break;

  case 273:
#line 331 "lscp.y"
    { yyval.Char = '\242'; }
    break;

  case 274:
#line 331 "lscp.y"
    { yyval.Char = '\243'; }
    break;

  case 275:
#line 332 "lscp.y"
    { yyval.Char = '\244'; }
    break;

  case 276:
#line 332 "lscp.y"
    { yyval.Char = '\245'; }
    break;

  case 277:
#line 332 "lscp.y"
    { yyval.Char = '\246'; }
    break;

  case 278:
#line 333 "lscp.y"
    { yyval.Char = '\247'; }
    break;

  case 279:
#line 333 "lscp.y"
    { yyval.Char = '\250'; }
    break;

  case 280:
#line 333 "lscp.y"
    { yyval.Char = '\251'; }
    break;

  case 281:
#line 334 "lscp.y"
    { yyval.Char = '\252'; }
    break;

  case 282:
#line 334 "lscp.y"
    { yyval.Char = '\253'; }
    break;

  case 283:
#line 334 "lscp.y"
    { yyval.Char = '\254'; }
    break;

  case 284:
#line 335 "lscp.y"
    { yyval.Char = '\255'; }
    break;

  case 285:
#line 335 "lscp.y"
    { yyval.Char = '\256'; }
    break;

  case 286:
#line 335 "lscp.y"
    { yyval.Char = '\257'; }
    break;

  case 287:
#line 336 "lscp.y"
    { yyval.Char = '\260'; }
    break;

  case 288:
#line 336 "lscp.y"
    { yyval.Char = '\261'; }
    break;

  case 289:
#line 336 "lscp.y"
    { yyval.Char = '\262'; }
    break;

  case 290:
#line 337 "lscp.y"
    { yyval.Char = '\263'; }
    break;

  case 291:
#line 337 "lscp.y"
    { yyval.Char = '\264'; }
    break;

  case 292:
#line 337 "lscp.y"
    { yyval.Char = '\265'; }
    break;

  case 293:
#line 338 "lscp.y"
    { yyval.Char = '\266'; }
    break;

  case 294:
#line 338 "lscp.y"
    { yyval.Char = '\267'; }
    break;

  case 295:
#line 338 "lscp.y"
    { yyval.Char = '\270'; }
    break;

  case 296:
#line 339 "lscp.y"
    { yyval.Char = '\271'; }
    break;

  case 297:
#line 339 "lscp.y"
    { yyval.Char = '\272'; }
    break;

  case 298:
#line 339 "lscp.y"
    { yyval.Char = '\273'; }
    break;

  case 299:
#line 340 "lscp.y"
    { yyval.Char = '\274'; }
    break;

  case 300:
#line 340 "lscp.y"
    { yyval.Char = '\275'; }
    break;

  case 301:
#line 340 "lscp.y"
    { yyval.Char = '\276'; }
    break;

  case 302:
#line 341 "lscp.y"
    { yyval.Char = '\277'; }
    break;

  case 303:
#line 341 "lscp.y"
    { yyval.Char = '\300'; }
    break;

  case 304:
#line 341 "lscp.y"
    { yyval.Char = '\301'; }
    break;

  case 305:
#line 342 "lscp.y"
    { yyval.Char = '\302'; }
    break;

  case 306:
#line 342 "lscp.y"
    { yyval.Char = '\303'; }
    break;

  case 307:
#line 342 "lscp.y"
    { yyval.Char = '\304'; }
    break;

  case 308:
#line 343 "lscp.y"
    { yyval.Char = '\305'; }
    break;

  case 309:
#line 343 "lscp.y"
    { yyval.Char = '\306'; }
    break;

  case 310:
#line 343 "lscp.y"
    { yyval.Char = '\307'; }
    break;

  case 311:
#line 344 "lscp.y"
    { yyval.Char = '\310'; }
    break;

  case 312:
#line 344 "lscp.y"
    { yyval.Char = '\311'; }
    break;

  case 313:
#line 344 "lscp.y"
    { yyval.Char = '\312'; }
    break;

  case 314:
#line 345 "lscp.y"
    { yyval.Char = '\313'; }
    break;

  case 315:
#line 345 "lscp.y"
    { yyval.Char = '\314'; }
    break;

  case 316:
#line 345 "lscp.y"
    { yyval.Char = '\315'; }
    break;

  case 317:
#line 346 "lscp.y"
    { yyval.Char = '\316'; }
    break;

  case 318:
#line 346 "lscp.y"
    { yyval.Char = '\317'; }
    break;

  case 319:
#line 346 "lscp.y"
    { yyval.Char = '\320'; }
    break;

  case 320:
#line 347 "lscp.y"
    { yyval.Char = '\321'; }
    break;

  case 321:
#line 347 "lscp.y"
    { yyval.Char = '\322'; }
    break;

  case 322:
#line 347 "lscp.y"
    { yyval.Char = '\323'; }
    break;

  case 323:
#line 348 "lscp.y"
    { yyval.Char = '\324'; }
    break;

  case 324:
#line 348 "lscp.y"
    { yyval.Char = '\325'; }
    break;

  case 325:
#line 348 "lscp.y"
    { yyval.Char = '\326'; }
    break;

  case 326:
#line 349 "lscp.y"
    { yyval.Char = '\327'; }
    break;

  case 327:
#line 349 "lscp.y"
    { yyval.Char = '\330'; }
    break;

  case 328:
#line 349 "lscp.y"
    { yyval.Char = '\331'; }
    break;

  case 329:
#line 350 "lscp.y"
    { yyval.Char = '\332'; }
    break;

  case 330:
#line 350 "lscp.y"
    { yyval.Char = '\333'; }
    break;

  case 331:
#line 350 "lscp.y"
    { yyval.Char = '\334'; }
    break;

  case 332:
#line 351 "lscp.y"
    { yyval.Char = '\335'; }
    break;

  case 333:
#line 351 "lscp.y"
    { yyval.Char = '\336'; }
    break;

  case 334:
#line 351 "lscp.y"
    { yyval.Char = '\337'; }
    break;

  case 335:
#line 352 "lscp.y"
    { yyval.Char = '\340'; }
    break;

  case 336:
#line 352 "lscp.y"
    { yyval.Char = '\341'; }
    break;

  case 337:
#line 352 "lscp.y"
    { yyval.Char = '\342'; }
    break;

  case 338:
#line 353 "lscp.y"
    { yyval.Char = '\343'; }
    break;

  case 339:
#line 353 "lscp.y"
    { yyval.Char = '\344'; }
    break;

  case 340:
#line 353 "lscp.y"
    { yyval.Char = '\345'; }
    break;

  case 341:
#line 354 "lscp.y"
    { yyval.Char = '\346'; }
    break;

  case 342:
#line 354 "lscp.y"
    { yyval.Char = '\347'; }
    break;

  case 343:
#line 354 "lscp.y"
    { yyval.Char = '\350'; }
    break;

  case 344:
#line 355 "lscp.y"
    { yyval.Char = '\351'; }
    break;

  case 345:
#line 355 "lscp.y"
    { yyval.Char = '\352'; }
    break;

  case 346:
#line 355 "lscp.y"
    { yyval.Char = '\353'; }
    break;

  case 347:
#line 356 "lscp.y"
    { yyval.Char = '\354'; }
    break;

  case 348:
#line 356 "lscp.y"
    { yyval.Char = '\355'; }
    break;

  case 349:
#line 356 "lscp.y"
    { yyval.Char = '\356'; }
    break;

  case 350:
#line 357 "lscp.y"
    { yyval.Char = '\357'; }
    break;

  case 351:
#line 357 "lscp.y"
    { yyval.Char = '\360'; }
    break;

  case 352:
#line 357 "lscp.y"
    { yyval.Char = '\361'; }
    break;

  case 353:
#line 358 "lscp.y"
    { yyval.Char = '\362'; }
    break;

  case 354:
#line 358 "lscp.y"
    { yyval.Char = '\363'; }
    break;

  case 355:
#line 358 "lscp.y"
    { yyval.Char = '\364'; }
    break;

  case 356:
#line 359 "lscp.y"
    { yyval.Char = '\365'; }
    break;

  case 357:
#line 359 "lscp.y"
    { yyval.Char = '\366'; }
    break;

  case 358:
#line 359 "lscp.y"
    { yyval.Char = '\367'; }
    break;

  case 359:
#line 360 "lscp.y"
    { yyval.Char = '\370'; }
    break;

  case 360:
#line 360 "lscp.y"
    { yyval.Char = '\371'; }
    break;

  case 361:
#line 360 "lscp.y"
    { yyval.Char = '\372'; }
    break;

  case 362:
#line 361 "lscp.y"
    { yyval.Char = '\373'; }
    break;

  case 363:
#line 361 "lscp.y"
    { yyval.Char = '\374'; }
    break;

  case 364:
#line 361 "lscp.y"
    { yyval.Char = '\375'; }
    break;

  case 365:
#line 362 "lscp.y"
    { yyval.Char = '\376'; }
    break;

  case 366:
#line 362 "lscp.y"
    { yyval.Char = '\377'; }
    break;

  case 367:
#line 365 "lscp.y"
    { yyval.String = " ";      }
    break;

  case 369:
#line 367 "lscp.y"
    { yyval.String = yyvsp[-1].String + " "; }
    break;

  case 370:
#line 368 "lscp.y"
    { yyval.String = yyvsp[-1].String + yyvsp[0].String;  }
    break;

  case 371:
#line 371 "lscp.y"
    { yyval.String = yyvsp[-1].String; }
    break;

  case 372:
#line 372 "lscp.y"
    { yyval.String = yyvsp[-1].String; }
    break;


    }

/* Line 1010 of yacc.c.  */
#line 4428 "y.tab.c"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  const char* yyprefix;
	  char *yymsg;
	  int yyx;

	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  int yyxbegin = yyn < 0 ? -yyn : 0;

	  /* Stay within bounds of both yycheck and yytname.  */
	  int yychecklim = YYLAST - yyn;
	  int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
	  int yycount = 0;

	  yyprefix = ", expecting ";
	  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      {
		yysize += yystrlen (yyprefix) + yystrlen (yytname [yyx]);
		yycount += 1;
		if (yycount == 5)
		  {
		    yysize = 0;
		    break;
		  }
	      }
	  yysize += (sizeof ("syntax error, unexpected ")
		     + yystrlen (yytname[yytype]));
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yyprefix = ", expecting ";
		  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			yyp = yystpcpy (yyp, yyprefix);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yyprefix = " or ";
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* If at end of input, pop the error token,
	     then the rest of the stack, then return failure.  */
	  if (yychar == YYEOF)
	     for (;;)
	       {
		 YYPOPSTACK;
		 if (yyssp == yyss)
		   YYABORT;
		 YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
		 yydestruct (yystos[*yyssp], yyvsp);
	       }
        }
      else
	{
	  YYDSYMPRINTF ("Error: discarding", yytoken, &yylval, &yylloc);
	  yydestruct (yytoken, &yylval);
	  yychar = YYEMPTY;

	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

#ifdef __GNUC__
  /* Pacify GCC when the user code never invokes YYERROR and the label
     yyerrorlab therefore never appears in user code.  */
  if (0)
     goto yyerrorlab;
#endif

  yyvsp -= yylen;
  yyssp -= yylen;
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
      yydestruct (yystos[yystate], yyvsp);
      YYPOPSTACK;
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;


  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 543 "lscp.y"


/**
 * Will be called when an error occured (usually syntax error).
 */
void yyerror(const char* s) {
    dmsg(2,("LSCPParser: %s\n", s));
}

/**
 * Clears input buffer.
 */
void restart(yyparse_param_t* pparam, int& yychar) {
    bytes = 0;
    ptr   = 0;
}


